def ecalbarrellayout(i, p, *rows): i["EcalBarrel/Layouts/" + p] = DQMItem(layout=rows)
def ebshifterlayout(i, p, *rows): i["EcalBarrel/Layouts/00 Shift/" + p] = DQMItem(layout=rows)
def ebecalshifterlayout(i, p, *rows): i["EcalBarrel/Layouts/01 ECAL Shift/" + p] = DQMItem(layout=rows)
def eblayout(i, p, *rows): i["EcalBarrel/Layouts/02 ECAL Expert Shift/" + p] = DQMItem(layout=rows)

# Quick Collections
ecalbarrellayout(dqmitems, "00 Global Summary EcalBarrel",
  [{ 'path': "EcalBarrel/EBSummaryClient/EB global summary", 'description': "EcalBarrel: overall status of crystals.  Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/EcalDQM>EcalDQM</a>" }])

ecalbarrellayout(dqmitems, "01 Occupancy Summary EcalBarrel",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy", 'description': "EcalBarrel: occupancy of calibrated hits with energy > 1 GeV. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/EcalDQM>EcalDQM</a>" }])

ecalbarrellayout(dqmitems, "02 Cluster Summary EcalBarrel",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy map", 'description': "EcalBarrel: average energy of hybrid basic clusters. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/EcalDQM>EcalDQM</a>" }])

# ALL shifters
ebshifterlayout(dqmitems, "00 Event Type",
  [{ 'path': "EcalBarrel/EcalInfo/EVTTYPE", 'description': "Frequency of the event types found in the DQM event-stream. If the calibration sequence is ON, histograms should show entries in COSMICS_GLOBAL, LASER_GAP, PEDESTAL_GAP, TESTPULSE_GAP. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "01 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: each crystal is required to have integrity errors in less than 1% of events. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "02 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. Quality criteria: Each tower is required not to have front-end errors among the following: TIMEOUT, HEADER, CHANNEL ID, LINK, BLOCKSIZE, L1A SYNC, BX SYNC, L1A+BX SYNC, FIFO+L1A, H PARITY, v PARITY. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "03 PedestalOnline RMS",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV): almost blue color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "04 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "Quality summary of the good crystals reconstructed hits with energy > 400 MeV. Hardware timing is adjusted with readout tower granularity, but finer setting can be reached. Expected all green color. Legend: green = good;  red = bad;  yellow = no sufficient statistics. Quality criteria: Average timing in each crystal for calibrated rechits with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime is evaluated if more than 2 hits pass the above cuts. The following criteria are applied: -12.5 < mean < 12.5 ns and RMS < 62.5 ns. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "05 Occupancy Rechits",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy", 'description': "Map of the occupancy of ECAL calibrated reconstructed hits. Expect uniform color. Legend: the darkness of the blue scale is proportional to the average occupancy of the crystal. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL calibrated reconstructed hits. Expect uniform distribution. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL calibrated reconstructed hits. Expect uniform distribution. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } }])

ebshifterlayout(dqmitems, "06 Occupancy Trigger Primitives",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy", 'description': "Map of the occupancy of ECAL trigger primitives with energy > 4 ADC counts (~1 GeV). Expect uniform color. Legend: the darkness of the blue scale is proportional to the average occupancy of the trigger tower. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL trigger primitives with energy > 4 ADC counts (~1 GeV). Expect uniform distribution. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL trigger primitives with energy > 4 ADC counts (~1 GeV). Expect uniform distribution. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } }])

ebshifterlayout(dqmitems, "07 Clusters Energy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy map", 'description': "Average energy (in GeV) of hybrid basic clusters. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy projection eta", 'description': "Eta projection of hybrid basic clusters. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy projection phi", 'description': "Phi projection of hybrid basic clusters. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } }])

ebshifterlayout(dqmitems, "08 Blue Laser (L1) Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of blue laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Supermodules are filled as the calibration sequence reach them: expected all yellow at beginning of run, then becoming green half-supermodule by half-supermodule (i.e. 1 light module). Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: mean amplitude > 100 ADCs; mean amplitude within 40% of the mean amplitude in the supermodule; RMS < 30% mean amplitude. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "08 Infrared Laser (L4) Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of infrared laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Supermodules are filled as the calibration sequence reach them: expected all yellow at beginning of run, then becoming green half-supermodule by half-supermodule (i.e. 1 light module). Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: mean amplitude > 100 ADCs; mean amplitude within 40% of the mean amplitude in the supermodule; RMS < 30% mean amplitude. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "10 Pedestal Gain12 Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Pedestals are evaluated using all the 10 samples. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. upermodules are filled as the calibration sequence reach them: expected all yellow at beginning of run, then becoming green supermodule by supermodule. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: 175 < mean < 225 ADCs; RMS < 2.0 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "11 TestPulse Gain12 Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of test pulse events for Gain 12. Expect green where the test pulse sequence fired, yellow elsewhere. Red spots are failed channels. Supermodules are filled as the calibration sequence reach them: expected all yellow at beginning of run, then becoming green. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebshifterlayout(dqmitems, "12 DCC EventSize",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT DCC event size", 'description': "Average event size per ecah ECAL barrel DCC calculated only on physics events. Expected about 2 kB/DCC. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>", 'draw': { 'withref': "yes" } }])

ebshifterlayout(dqmitems, "13 Selective Readout High Interest TTs",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest TT Flags", 'description': "Rate of high interest (E_T of Trigger Tower over threshold) flags of selective readout. Expected higher occupancy at lower |eta| (the threshold is on transverse energy). Calibration events are excluded. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])


# ECAL shifters
ebecalshifterlayout(dqmitems, "00 Event Type",
  [{ 'path': "EcalBarrel/EcalInfo/EVTTYPE", 'description': "Frequency of the event types found in the DQM event-stream. If the calibration sequence is ON, histograms should show entries in COSMICS_GLOBAL, LASER_GAP, PEDESTAL_GAP, TESTPULSE_GAP. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "01 Electronics/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: each crystal is required to have integrity errors in less than 1% of events. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "01 Electronics/01 Integrity Errors",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality errors summary", 'description': "Crystals integrity error counter by supermodule. Expect 0 entries in every bin. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "01 Electronics/02 PN Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT PN integrity quality summary", 'description': "Quality summary checking that data for each PN diode follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries.  Quality criteria: each crystal is required to have integrity errors in less than 1% of events. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "01 Electronics/03 FrontEnd Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: Each tower is required not to have front-end errors among the following: TIMEOUT, HEADER, CHANNEL ID, LINK, BLOCKSIZE, L1A SYNC, BX SYNC, L1A+BX SYNC, FIFO+L1A, H PARITY, v PARITY. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "01 Electronics/04 CalibrationSequence Errors",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT trigger type errors", 'description': "Number of trigger type mismatches between the global trigger and ECAL DCC header (). It is filled once per DCC with weight 1/36. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "02 Noise/00 PedestalOnline Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "pedestal quality summary. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (on physics events only). Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: 175 < mean < 225 ADCs, RMS < 2 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "02 Noise/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (on physics events only). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "02 Noise/02 PedestalOnline FEDAverage",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 mean", 'description': "Average mean of the pedestals in ADC counts for each FED. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (on physics events only). Expected mean is 200 ADC counts.<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 rms", 'description': "Average RMS of the pedestals in ADC counts for each FED. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (on physics events only). Expected rms is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/00 Summary",
  [{ 'path': "EcalBarrel/EcalInfo/EBMM DCC", 'description': "Occupancy of DCC. Non-uniform distribution in one bin means that the supermodule has not been readout in some event. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EcalInfo/EBMM digi number profile", 'description': "Average occupancy of digis per supermodule. Expect flat distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EcalInfo/EBMM hit number profile", 'description': "Average occupancy of reconstructed hits per supermodule. Expect flat distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EcalInfo/EBMM TP digi number profile", 'description': "Average occupancy of trigger primitives per supermodule. Expect flat distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/01 Digis",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy", 'description': "Map of the occupancy of ECAL digis. Expect uniform color. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL digis. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL digis. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/02 RecHits (Unfiltered)",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy", 'description': "Map of the occupancy of ECAL calibrated reconstructed hits. Expect uniform color. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL calibrated reconstructed hits. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL calibrated reconstructed hits. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/03 RecHits (Filtered)",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy", 'description': "Map of the occupancy of ECAL calibrated reconstructed hits. Only the good reconstructed hits with energy E > 300 MeV are considered. Expect uniform color. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL calibrated reconstructed hits. Only the good reconstructed hits with energy E > 300 MeV are considered. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL calibrated reconstructed hits. Expect uniform distribution. Only the good reconstructed hits with energy E > 300 MeV are considered. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/04 Trigger Primitives Digis (All)",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi occupancy", 'description': "Map of the occupancy of ECAL trigger primitives. Expect uniform color. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL trigger primitives. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL trigger primitives. Expect uniform distribution. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/05 Trigger Primitives (Threshold)",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy", 'description': "Map of the occupancy of ECAL trigger primitives with an E_T > 1 GeV (4 ADC counts). Darker regions mean noisy towers. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL trigger primitives with an E_T > 1 GeV (4 ADC counts). Expect uniform distribution, spikes mean noisy towers. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL trigger primitives with an E_T > 1 GeV (4 ADC counts). Expect uniform distribution, spikes mean noisy towers. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "03 Occupancy/06 TestPulseEvents",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT test pulse digi occupancy", 'description': "Occupancy of test pulse events only (if any in the calibration sequence). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "03 Occupancy/07 LaserEvents",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT laser digi occupancy", 'description': "Occupancy of laser events only (if any in the calibration sequence). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "03 Occupancy/09 PedestalEvents",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT pedestal digi occupancy", 'description': "Occupancy of pedestal events only (if any in the calibration sequence). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "03 Occupancy/10 PN Digis",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT PN digi occupancy summary", 'description': "Occupancy of PN diodes (expect entries only for calibration events). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

# to be put back in when we will remove cosmics summary
ebecalshifterlayout(dqmitems, "04 Energy/00 RecHit Energy",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good hits. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit spectrum", 'description': "Average energy (in GeV) of good hits. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/01 Clusters Energy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy", 'description': "Calibrated energy (GeV) of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC seed crystal energy", 'description': "Calibrated energy (GeV) of the crystals seeding a cluster. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/02 Basic Clusters",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC number", 'description': "Multiplicity of reconstructed hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC size", 'description': "Numbers of crystals contained in hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/03 Basic Clusters Occupancy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC number map", 'description': "Average number of basic cluster / event. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC number projection eta", 'description': "Eta projection of average number of basic cluster / event. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC number projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/04 Basic Clusters Energy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy map", 'description': "Average energy (in GeV) of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy projection eta", 'description': "Eta projection of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy projection phi", 'description': "Phi projection of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/05 Basic Clusters Transverse Energy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC ET map", 'description': "Average transverse energy (in GeV) of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC ET projection eta", 'description': "Average transverse energy (in GeV) of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC ET projection phi", 'description': "Average transverse energy (in GeV) of hybrid basic clusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/06 Basic Clusters Size",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC size map", 'description': "Number of crystals constituent the basic cluster. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC size projection eta", 'description': "Number of crystals constituent the basic cluster. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC size projection phi", 'description': "Number of crystals constituent the basic cluster. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/07 Basic Cluster Shape",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT s1s9", 'description': "Ratio of E(max)/E(3x3) of all basic clusters. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT s1s9 thr", 'description': "Ratio of E(max)/E(3x3) of basic clusters with a seed crystal with E>3.0 GeV. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/08 SuperClusters 1D",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC number", 'description': "Multiplicity of reconstructed hybrid superclusters. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC size (crystal)", 'description': "Numbers of crystals contained in hybrid superclusters.  Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "04 Energy/09 Peaks",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass Pi0 sel", 'description': "Invariant mass of 2 ECAL supercluster. Complete combinatorics is shown of clusters with ET>1.0 GeV, low sigmaIEtaIEta, and Pt(candidate)>1.5 GeV. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass JPsi sel", 'description': "Invariant mass of 2 ECAL supercluster. Complete combinatorics is shown of clusters with ET>1.0 GeV, low sigmaIEtaIEta, and Pt(candidate)>1.5 GeV. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass Z0 sel", 'description': "Invariant mass of 2 ECAL supercluster. Complete combinatorics is shown of clusters with ET>1.0 GeV, low sigmaIEtaIEta, and Pt(candidate)>1.5 GeV. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass high sel", 'description': "Invariant mass of 2 ECAL supercluster. Complete combinatorics is shown of clusters with ET>1.0 GeV, low sigmaIEtaIEta, and Pt(candidate)>1.5 GeV. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "05 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "Quality summary of good calibrated reconstructed hits. Hardware timing is adjusted with readout tower granularity, but finer setting can be reached. Expected all green color. Legend: green = good;  red = bad;  yellow = no sufficient statistics. Quality criteria: Average timing in each crystal for calibrated rechits with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime is evaluated if more than 2 hits pass the above cuts. The following criteria are applied: -12.5 < mean < 12.5 ns and RMS < 62.5 ns. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcal>DQMShiftEcal</a>" }])

ebecalshifterlayout(dqmitems, "05 Timing/01 Timing Mean",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing mean 1D summary", 'description': "Mean timing of all the channels in EB along the run. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. Timing is expected centered 0 ns. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing mean", 'description': "Mean timing of all the channels in each DCC of EB along the run. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. Timing is expected centered 0 ns. The error bar represents the spreads among the crystal of each DCC. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "05 Timing/02 Timing RMS",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing rms 1D summary", 'description': "Average timing RMS along the run of all the channels in EB. Timing RMS is expected < 10 ns. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing rms", 'description': "Average timing RMS along the run of all the channels in each DCC of EB. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. The error bar represents the spreads among the crystal of each DCC. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "05 Timing/03 Timing Map",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing map", 'description': "Average timing of the good calibrated rechits. Expected about 0 ns. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. Readout tower binning (5x5 crystals) is used. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing projection eta", 'description': "Average timing of the good rechits. Expected about 0 ns. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. Readout tower binning (5x5 crystals) is used. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingTask/EBTMT timing projection phi", 'description': "Average timing of the good rechits. Expected about 0 ns. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. Readout tower binning (5x5 crystals) is used. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "05 Timing/04 Timing Vs Amplitude",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude summary", 'description': "Average timing of the good rechits vs. amplitude. Expected about 0 ns timing for amplitudes above 480 MeV. Calibrated rechits are used with good DB status and rechit flag = kGood OR KOutOfTime. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [None])

ebecalshifterlayout(dqmitems, "05 Timing/04 Single Event Timing",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D summary", 'description': "Single event timing of the good rechits. Expected centered around 0 ns. Calibrated rechits are used with energy > 480 MeV, good DB status and rechit flag = kGood OR KOutOfTime. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [None])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/00 TP Spectra",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et spectrum Real Digis", 'description': "Average transverse energy (4 ADC count = 1 GeV) of real L1 trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/Emulated/EBTTT Et spectrum Emulated Digis", 'description': "Average transverse energy (4 ADC count = 1 GeV) of emulated L1 trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTriggerTowerTask/Emulated/EBTTT Et spectrum Emulated Digis max", 'description': "Average transverse energy (4 ADC count = 1 GeV) of emulated L1 trigger primitives which gives the max Et. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/01 TriggerPrimitives ET",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Et trigger tower summary", 'description': "Average transverse energy of real L1 trigger primitives (4 ADC count = 1 GeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/02 Trigger Primitives Occupancy (Threshold)",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy", 'description': "Map of the occupancy of ECAL trigger primitives with an E_T > 1 GeV (4 ADC counts). Darker regions mean noisy towers. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection eta", 'description': "Eta projection of the occupancy of ECAL trigger primitives with an E_T > 1 GeV (4 ADC counts). Expect uniform distribution, spikes mean noisy towers. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection phi", 'description': "Phi projection of the occupancy of ECAL trigger primitives with an E_T > 1 GeV (4 ADC counts). Expect uniform distribution, spikes mean noisy towers. Physics events only. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/03 TP data matching Emulator",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT TP matching index", 'description': "Sample of the emulated TP that matches the real TP. -1 means no match. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT max TP matching index", 'description': "Sample of the emulated TP that givest the largest ET. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/04 Trigger Most Frequent Timing",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/05 Fraction of Non Single Timing",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Non Single Timing summary", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/06 TP Match index Calo or Muon Triggers",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT TCC timing calo triggers Real Digis", 'description': "TP sample matching with emulator divided by TCC number (in EB 1 TCC = 1 DCC). Expect all TCCs at sample = 3. Only events with HLT bit = HLT_EgammaSuperClusterOnly_L1R are considered. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT TCC timing muon triggers Real Digis", 'description': "TP sample matching with emulator divided by TCC number (in EB 1 TCC = 1 DCC). Expect all TCCs at sample = 3. Only events with HLT bit = HLT_L1MuOpen are considered. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/07 Trigger Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT emulator error quality summary", 'description': "Result of the comparison of Et and Fine Grain Veto between real and emulated trigger primitives. Non matched trigger primitives appear red. Expect green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/08 TTF mismatch",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT TT flag mismatch", 'description': "Occupancy of trigger primitives of high or medium interest which have not been fully readout. Expected empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "06 L1 Trigger/09 Trigger Timing Occupancy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et vs bx Real Digis", 'description': "Average Et of trigger primitives with Et>0 vs the bunch crossing number. Finer binning is used around the abort gap and at the beginning of the physics gap, larger in the middle of the orbit. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT TP occupancy vs bx Real Digis", 'description': "Average number of trigger primitives with Et>0 vs the bunch crossing number. Finer binning is used around the abort gap and at the beginning of the physics gap, larger in the middle of the orbit. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "07 Selective Readout/00 EventSize",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT event size", 'description': "Event size for the readout crystals in the ECAL barrel. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT tower event size", 'description': "Event size distribution per tower. This plot allows to verify the correctness of the ZS thresholds applied. The average of the plot has to be ~ 2kB / 68 ~ 30 bytes.<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }] )

ebecalshifterlayout(dqmitems, "07 Selective Readout/01 DCC EventSize",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT DCC event size", 'description': "Average event size per ecah ECAL barrel DCC. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT event size vs DCC", 'description': "Event size distribution per each ECAL barrel DCC. Finer binning is used in the zero-suppressed region (0-0.608 kB), while granularity of one fully readout tower (0.608 kB) has been used for higher sizes. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>"}])

ebecalshifterlayout(dqmitems, "07 Selective Readout/02 SRFlags",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT readout unit with SR forced", 'description': "Rate of readout units with Selective Readout Forced. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT full readout SR Flags", 'description': "Rate of full readout Selective Readout flags. The selective readout of the ECAL was designed to reduce the ECAL data size by a factor 20. If any tower is fully read out more than 5% of the times, this tower will increase the payload and introduce deadtime. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "07 Selective Readout/03 TTFlags",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest TT Flags", 'description': "Rate of high interest Trigger Tower flags. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT low interest TT Flags", 'description': "Rate of low interest Trigger Tower flags. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "07 Selective Readout/04 Payload",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest payload", 'description': "Payload of the high interest trigger towers (kB). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT low interest payload", 'description': "Payload of the low interest trigger towers (kB). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

ebecalshifterlayout(dqmitems, "07 Selective Readout/05 ZSFilterOutput",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest ZS filter output", 'description': "crystal amplitude as reconstructed in DCC. This is useful for the emulation of the zero suppression filter. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT low interest ZS filter output", 'description': "crystal amplitude as reconstructed in DCC. This is useful for the emulation of the zero suppression filter. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])


ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/00 Blue Laser (L1) Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of Blue laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: mean amplitude > 100 ADCs; mean amplitude within 40% of the mean amplitude in the supermodule; RMS < 30% mean amplitude. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/01 Blue Laser (L1) Errors",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality errors summary L1", 'description': "Errors occupancy for Blue laser events for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/02 Blue Laser (L1) Amplitude",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L1 amplitude summary", 'description': "Blue laser average amplitude for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L1 amplitude over PN summary", 'description': "Blue laser APD/PN ratio for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/03 Blue Laser (L1) Timing",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L1 timing summary", 'description': "Blue laser average timing (in pulse shape samples) for fired light modules. Expect value around 6.5. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/04 Blue Laser (L1) PNQuality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality summary L1", 'description': "Quality summary of Blue laser events on PN diodes. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: amplitude (G1 and G16) > 100 ADCs; 650 < PN pedestal < 850 ADCs;  PN RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality errors summary L1", 'description': "Error occupancy for laser L1 events on PN diodes for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/00 Green Laser (L2) Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of Green laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: mean amplitude > 100 ADCs; mean amplitude within 40% of the mean amplitude in the supermodule; RMS < 30% mean amplitude. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/01 Green Laser (L2) Errors",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality errors summary L2", 'description': "Errors occupancy for Green laser events for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/02 Green Laser (L2) Amplitude",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L2 amplitude summary", 'description': "Green laser average amplitude for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L2 amplitude over PN summary", 'description': "Green laser APD/PN ratio for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/03 Green Laser (L2) Timing",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L2 timing summary", 'description': "Green laser average timing (in pulse shape samples) for fired light modules. Expect value around 6.5. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/04 Green Laser (L2) PNQuality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality summary L2", 'description': "Quality summary of Green laser events on PN diodes. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: amplitude (G1 and G16) > 100 ADCs; 650 < PN pedestal < 850 ADCs;  PN RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality errors summary L2", 'description': "Error occupancy for laser L2 events on PN diodes for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/00 Red Laser (L3) Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of Red laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: mean amplitude > 100 ADCs; mean amplitude within 40% of the mean amplitude in the supermodule; RMS < 30% mean amplitude. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/01 Red Laser (L3) Errors",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality errors summary L3", 'description': "Errors occupancy for Red laser events for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/02 Red Laser (L3) Amplitude",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L3 amplitude summary", 'description': "Red laser average amplitude for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L3 amplitude over PN summary", 'description': "Red laser APD/PN ratio for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/03 Red Laser (L3) Timing",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L3 timing summary", 'description': "Red laser average timing (in pulse shape samples) for fired light modules. Expect value around 6.5. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/04 Red Laser (L3) PNQuality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality summary L3", 'description': "Quality summary of Red laser events on PN diodes. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: amplitude (G1 and G16) > 100 ADCs; 650 < PN pedestal < 850 ADCs;  PN RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality errors summary L3", 'description': "Error occupancy for laser L3 events on PN diodes for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/00 Infrared Laser (L4) Quality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of Infrared laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: mean amplitude > 100 ADCs; mean amplitude within 40% of the mean amplitude in the supermodule; RMS < 30% mean amplitude. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/01 Infrared Laser (L4) Errors",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality errors summary L4", 'description': "Errors occupancy for Infrared laser events for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/02 Infrared Laser (L4) Amplitude",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L4 amplitude summary", 'description': "Infrared laser average amplitude for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L4 amplitude over PN summary", 'description': "Infrared laser APD/PN ratio for fired light modules. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/03 Infrared Laser (L4) Timing",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser L4 timing summary", 'description': "Infrared laser average timing (in pulse shape samples) for fired light modules. Expect value around 6.5. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/00 Laser/04 Infrared Laser (L4) PNQuality",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality summary L4", 'description': "Quality summary of Infrared laser events on PN diodes. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: amplitude (G1 and G16) > 100 ADCs; 650 < PN pedestal < 850 ADCs;  PN RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT PN laser quality errors summary L4", 'description': "Error occupancy for laser L4 events on PN diodes for every supermodule. Expect 0 entries if no errors or no laser events in a given supermodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/01 Pedestal/00 Quality Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events on crystals for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: gain 1: 175 < mean < 225 ADCs; RMS < 1.0 ADCs; gain 6: 175 < mean < 225 ADCs; RMS < 1.2 ADCs; gain 12: 175 < mean < 225 ADCs; RMS < 2.0 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/01 Pedestal/00 Quality Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events on crystals for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: gain 1: 175 < mean < 225 ADCs; RMS < 1.0 ADCs; gain 6: 175 < mean < 225 ADCs; RMS < 1.2 ADCs; gain 12: 175 < mean < 225 ADCs; RMS < 2.0 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/01 Pedestal/00 Quality Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events on crystals for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria: gain 1: 175 < mean < 225 ADCs; RMS < 1.0 ADCs; gain 6: 175 < mean < 225 ADCs; RMS < 1.2 ADCs; gain 12: 175 < mean < 225 ADCs; RMS < 2.0 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/01 Pedestal/01 PNQuality Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT PN pedestal quality G01 summary", 'description': "Quality summary of pedestal events on PN diodes for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries.  Quality criteria for gain 1 and gain 16: 650 < mean < 850 ADCs; RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/01 Pedestal/01 PNQuality Gain16",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT PN pedestal quality G16 summary", 'description': "Quality summary of pedestal events on PN diodes for Gain 16. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries.  Quality criteria for gain 1 and gain 16: 650 < mean < 850 ADCs; RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/00 Quality Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Crystals quality summary of test pulse events for Gain 01. Expect green where the test pulse sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries.  *Quality criteria*: mean amplitude > 100 !ADCs; mean amplitude within 20% of the mean amplitude in the supermodule; !RMS < 300 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/01 Amplitude Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse amplitude G01 summary", 'description': "Test pulse average amplitude in MGPA gain 01 for crystals for each EB superodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/00 Quality Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Crystals quality summary of test pulse events for Gain 06. Expect green where the test pulse sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries.  *Quality criteria*: mean amplitude > 100 !ADCs; mean amplitude within 20% of the mean amplitude in the supermodule; !RMS < 300 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/01 Amplitude Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse amplitude G06 summary", 'description': "Test pulse average amplitude in MGPA gain 06 for crystals for each EB superodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/00 Quality Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Crystals quality summary of test pulse events for Gain 12. Expect green where the test pulse sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries.  *Quality criteria*: mean amplitude > 100 !ADCs; mean amplitude within 20% of the mean amplitude in the supermodule; !RMS < 300 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/01 Amplitude Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse amplitude G12 summary", 'description': "Test pulse average amplitude in MGPA gain 12 for crystals for each EB superodule. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/05 PNQuality Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT PN test pulse quality G01 summary", 'description': "PN diodes quality summary of test pulse events for Gain 01. Expect green where the test pulse sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria for gain 1 (gain 16): amplitude > 12.5 (200) ADCs; 650 < pedestal mean < 850 ADCs; pedestal RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "08 Calibration/02 TestPulse/05 PNQuality Gain16",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT PN test pulse quality G16 summary", 'description': "PN diodes quality summary of test pulse events for Gain 16. Expect green where the test pulse sequence fired, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. Quality criteria for gain 1 (gain 16): amplitude > 12.5 (200) ADCs; 650 < pedestal mean < 850 ADCs; pedestal RMS < 10 ADCs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

ebecalshifterlayout(dqmitems, "09 Trend/00 Crystal Digis Number",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfEBDigiVs5Minutes", 'description': "Average number of barrel crystal digis (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfEBDigiVs1Hour", 'description': "Average number of barrel crystal digis (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])
   
ebecalshifterlayout(dqmitems, "09 Trend/01 PN Diodes Digis Number",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfEcalPnDiodeDigiVs5Minutes", 'description': "Average number of barrel PN diodes digis (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfEcalPnDiodeDigiVs1Hour", 'description': "Average number of barrel PN diodes digis (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/02 Hit with Threshold Occupancy",
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBOT rec hit thr occupancy Vs 5Minutes", 'description': "Average occupancy for barrel reconstructed hits with energy > 1 GeV and good quality, i.e. noisy channels removed. (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBOT rec hit thr occupancy Vs 1Hour", 'description': "Average occupancy for barrel reconstructed hits with energy > 1 GeV and good quality, i.e. noisy channels removed. (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/03 TP Digis Occupancy",
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBOT TP digi thr occupancy Vs 5Minutes", 'description': "Average occupancy of TP digis with ET >~ 1 GeV (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBOT TP digi thr occupancy Vs 1Hour", 'description': "Average occupancy of TP digis with ET >~ 1 GeV (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/04 Basic Clusters Number",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfBasicClusterSizeVs5Minutes", 'description': "Average number of basic clusters (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfBasicClusterSizeVs1Hour", 'description': "Average number of basic clusters (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/05 Basic Cluster Energy",
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBCLT BC energy Vs 5Minutes", 'description': "Average energy of reconstructed barrel basic clusters. (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBCLT BC energy Vs 1Hour", 'description': "Average energy of reconstructed barrel basic clusters. (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/06 Super Clusters Number",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfSuperClusterSizeVs5Minutes", 'description': "Average number of super clusters (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfSuperClusterSizeVs1Hour", 'description': "Average number of super clusters (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/07 Super Cluster Energy",
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBCLT SC energy Vs 5Minutes", 'description': "Average energy of reconstructed barrel basic clusters. (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBCLT SC energy Vs 1Hour", 'description': "Average energy of reconstructed barrel basic clusters. (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/08 Pedestal Mean",
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBPOT pedestal G12 mean Vs 5Minutes", 'description': "Average pedestal mean in barrel crystals (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBPOT pedestal G12 mean Vs 1Hour", 'description': "Average pedestal mean in barrel crystals (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/09 Pedestal RMS",
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBPOT pedestal G12 rms Vs 5Minutes", 'description': "Average pedestal rms in barrel crystals (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendClient/Average of EBPOT pedestal G12 rms Vs 1Hour", 'description': "Average pedestal rms in barrel crystals (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/10 Integrity Errors Number",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfIntegrityErrorVs5Minutes", 'description': "Average number of integrity errors (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfIntegrityErrorVs1Hour", 'description': "Average number of integrity errors (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/11 Barrel FEDs Size ",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfFEDEBRawDataVs5Minutes", 'description': "Average barrel FED size, in kBytes. (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfFEDEBRawDataVs1Hour", 'description': "Average barrel FED size, in kBytes. (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

ebecalshifterlayout(dqmitems, "09 Trend/12 Selective Readout Flags Size ",
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfEBSRFlagVs5Minutes", 'description': "Average number of Selective Readout Flags. (5 minutes range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTrendTask/AverageNumberOfEBSRFlagVs1Hour", 'description': "Average number of Selective Readout Flags. (1 hour range). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])


eblayout(dqmitems, "01 By Supermodule/EB-01/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-01", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-01", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-01", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-01", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-01", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-01", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-01", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-01", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-01", 'description': "Mean timing of the channels in EB-01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-01", 'description': "Timing RMS of the channels in EB-01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-01", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-01", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-01", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-01", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-01", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-01", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-01", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-01", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-01/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-01", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-01", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-01", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-01", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-01", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-01", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-01", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-01", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-01", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-01", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-01", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-01", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-01", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-01", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-01", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-01", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-01", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-01 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-01 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-01 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-01 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-01 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-01 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-01 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-01 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-01", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-01", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-01/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-01", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-02", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-02", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-02", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-02", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-02", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-02", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-02", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-02", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-02", 'description': "Mean timing of the channels in EB-02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-02", 'description': "Timing RMS of the channels in EB-02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-02", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-02", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-02", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-02", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-02", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-02", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-02", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-02", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-02/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-02", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-02", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-02", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-02", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-02", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-02", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-02", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-02", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-02", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-02", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-02", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-02", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-02", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-02", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-02", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-02", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-02", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-02 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-02 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-02 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-02 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-02 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-02 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-02 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-02 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-02", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-02", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-02/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-02", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-03", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-03", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-03", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-03", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-03", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-03", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-03", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-03", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-03", 'description': "Mean timing of the channels in EB-03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-03", 'description': "Timing RMS of the channels in EB-03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-03", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-03", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-03", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-03", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-03", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-03", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-03", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-03", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-03/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-03", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-03", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-03", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-03", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-03", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-03", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-03", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-03", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-03", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-03", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-03", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-03", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-03", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-03", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-03", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-03", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-03", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-03 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-03 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-03 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-03 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-03 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-03 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-03 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-03 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-03", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-03", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-03/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-03", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-04", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-04", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-04", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-04", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-04", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-04", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-04", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-04", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-04", 'description': "Mean timing of the channels in EB-04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-04", 'description': "Timing RMS of the channels in EB-04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-04", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-04", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-04", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-04", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-04", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-04", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-04", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-04", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-04/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-04", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-04", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-04", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-04", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-04", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-04", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-04", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-04", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-04", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-04", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-04", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-04", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-04", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-04", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-04", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-04", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-04", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-04 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-04 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-04 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-04 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-04 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-04 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-04 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-04 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-04", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-04", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-04/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-04", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-05", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-05", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-05", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-05", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-05", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-05", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-05", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-05", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-05", 'description': "Mean timing of the channels in EB-05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-05", 'description': "Timing RMS of the channels in EB-05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-05", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-05", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-05", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-05", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-05", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-05", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-05", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-05", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-05/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-05", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-05", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-05", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-05", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-05", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-05", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-05", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-05", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-05", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-05", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-05", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-05", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-05", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-05", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-05", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-05", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-05", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-05 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-05 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-05 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-05 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-05 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-05 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-05 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-05 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-05", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-05", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-05/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-05", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-06", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-06", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-06", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-06", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-06", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-06", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-06", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-06", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-06", 'description': "Mean timing of the channels in EB-06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-06", 'description': "Timing RMS of the channels in EB-06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-06", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-06", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-06", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-06", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-06", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-06", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-06", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-06", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-06/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-06", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-06", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-06", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-06", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-06", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-06", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-06", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-06", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-06", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-06", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-06", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-06", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-06", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-06", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-06", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-06", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-06", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-06 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-06 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-06 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-06 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-06 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-06 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-06 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-06 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-06", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-06", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-06/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-06", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-07", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-07", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-07", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-07", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-07", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-07", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-07", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-07", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-07", 'description': "Mean timing of the channels in EB-07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-07", 'description': "Timing RMS of the channels in EB-07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-07", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-07", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-07", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-07", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-07", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-07", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-07", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-07", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-07/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-07", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-07", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-07", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-07", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-07", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-07", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-07", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-07", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-07", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-07", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-07", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-07", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-07", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-07", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-07", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-07", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-07", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-07 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-07 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-07 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-07 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-07 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-07 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-07 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-07 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-07", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-07", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-07/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-07", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-08", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-08", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-08", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-08", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-08", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-08", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-08", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-08", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-08", 'description': "Mean timing of the channels in EB-08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-08", 'description': "Timing RMS of the channels in EB-08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-08", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-08", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-08", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-08", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-08", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-08", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-08", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-08", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-08/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-08", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-08", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-08", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-08", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-08", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-08", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-08", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-08", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-08", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-08", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-08", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-08", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-08", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-08", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-08", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-08", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-08", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-08 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-08 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-08 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-08 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-08 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-08 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-08 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-08 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-08", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-08", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-08/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-08", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-09", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-09", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-09", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-09", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-09", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-09", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-09", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-09", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-09", 'description': "Mean timing of the channels in EB-09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-09", 'description': "Timing RMS of the channels in EB-09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-09", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-09", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-09", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-09", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-09", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-09", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-09", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-09", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-09/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-09", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-09", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-09", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-09", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-09", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-09", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-09", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-09", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-09", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-09", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-09", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-09", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-09", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-09", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-09", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-09", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-09", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-09 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-09 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-09 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-09 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-09 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-09 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-09 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-09 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-09", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-09", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-09/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-09", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-10", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-10", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-10", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-10", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-10", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-10", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-10", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-10", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-10", 'description': "Mean timing of the channels in EB-10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-10", 'description': "Timing RMS of the channels in EB-10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-10", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-10", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-10", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-10", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-10", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-10", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-10", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-10", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-10/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-10", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-10", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-10", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-10", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-10", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-10", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-10", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-10", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-10", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-10", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-10", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-10", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-10", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-10", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-10", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-10", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-10", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-10 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-10 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-10 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-10 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-10 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-10 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-10 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-10 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-10", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-10", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-10/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-10", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-11", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-11", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-11", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-11", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-11", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-11", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-11", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-11", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-11", 'description': "Mean timing of the channels in EB-11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-11", 'description': "Timing RMS of the channels in EB-11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-11", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-11", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-11", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-11", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-11", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-11", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-11", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-11", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-11/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-11", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-11", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-11", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-11", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-11", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-11", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-11", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-11", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-11", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-11", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-11", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-11", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-11", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-11", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-11", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-11", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-11", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-11 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-11 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-11 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-11 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-11 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-11 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-11 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-11 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-11", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-11", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-11/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-11", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-12", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-12", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-12", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-12", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-12", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-12", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-12", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-12", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-12", 'description': "Mean timing of the channels in EB-12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-12", 'description': "Timing RMS of the channels in EB-12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-12", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-12", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-12", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-12", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-12", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-12", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-12", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-12", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-12/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-12", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-12", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-12", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-12", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-12", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-12", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-12", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-12", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-12", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-12", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-12", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-12", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-12", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-12", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-12", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-12", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-12", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-12 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-12 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-12 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-12 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-12 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-12 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-12 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-12 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-12", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-12", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-12/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-12", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-13", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-13", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-13", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-13", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-13", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-13", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-13", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-13", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-13", 'description': "Mean timing of the channels in EB-13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-13", 'description': "Timing RMS of the channels in EB-13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-13", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-13", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-13", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-13", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-13", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-13", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-13", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-13", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-13/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-13", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-13", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-13", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-13", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-13", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-13", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-13", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-13", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-13", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-13", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-13", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-13", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-13", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-13", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-13", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-13", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-13", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-13 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-13 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-13 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-13 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-13 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-13 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-13 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-13 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-13", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-13", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-13/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-13", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-14", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-14", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-14", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-14", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-14", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-14", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-14", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-14", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-14", 'description': "Mean timing of the channels in EB-14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-14", 'description': "Timing RMS of the channels in EB-14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-14", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-14", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-14", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-14", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-14", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-14", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-14", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-14", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-14/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-14", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-14", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-14", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-14", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-14", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-14", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-14", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-14", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-14", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-14", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-14", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-14", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-14", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-14", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-14", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-14", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-14", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-14 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-14 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-14 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-14 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-14 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-14 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-14 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-14 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-14", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-14", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-14/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-14", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-15", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-15", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-15", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-15", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-15", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-15", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-15", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-15", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-15", 'description': "Mean timing of the channels in EB-15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-15", 'description': "Timing RMS of the channels in EB-15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-15", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-15", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-15", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-15", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-15", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-15", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-15", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-15", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-15/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-15", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-15", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-15", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-15", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-15", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-15", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-15", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-15", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-15", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-15", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-15", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-15", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-15", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-15", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-15", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-15", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-15", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-15 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-15 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-15 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-15 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-15 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-15 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-15 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-15 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-15", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-15", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-15/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-15", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-16", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-16", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-16", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-16", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-16", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-16", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-16", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-16", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-16", 'description': "Mean timing of the channels in EB-16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-16", 'description': "Timing RMS of the channels in EB-16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-16", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-16", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-16", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-16", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-16", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-16", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-16", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-16", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-16/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-16", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-16", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-16", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-16", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-16", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-16", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-16", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-16", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-16", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-16", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-16", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-16", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-16", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-16", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-16", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-16", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-16", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-16 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-16 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-16 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-16 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-16 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-16 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-16 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-16 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-16", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-16", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-16/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-16", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-17", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-17", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-17", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-17", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-17", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-17", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-17", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-17", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-17", 'description': "Mean timing of the channels in EB-17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-17", 'description': "Timing RMS of the channels in EB-17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-17", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-17", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-17", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-17", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-17", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-17", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-17", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-17", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-17/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-17", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-17", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-17", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-17", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-17", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-17", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-17", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-17", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-17", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-17", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-17", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-17", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-17", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-17", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-17", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-17", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-17", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-17 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-17 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-17 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-17 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-17 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-17 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-17 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-17 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-17", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-17", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-17/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-17", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-18", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-18", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-18", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-18", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-18", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-18", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-18", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-18", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-18", 'description': "Mean timing of the channels in EB-18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-18", 'description': "Timing RMS of the channels in EB-18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-18", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-18", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-18", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-18", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-18", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-18", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-18", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-18", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB-18/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-18", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-18", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-18", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-18", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-18", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-18", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-18", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-18", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-18", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-18", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-18", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-18", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-18", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-18", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-18", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-18", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB-18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-18", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB-18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-18 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-18 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-18 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-18 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-18 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-18 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-18 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-18 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-18", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-18", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB-18/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-18", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+01", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+01", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+01", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+01", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+01", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+01", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+01", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+01", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+01", 'description': "Mean timing of the channels in EB+01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+01", 'description': "Timing RMS of the channels in EB+01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+01", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+01", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+01", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+01", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+01", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+01", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+01", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+01", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+01/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+01", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+01", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+01", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+01", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+01", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+01", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+01", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+01", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+01", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+01", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+01", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+01", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+01", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+01", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+01", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+01", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+01", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+01 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+01 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+01 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+01 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+01 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+01 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+01 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+01 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+01 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+01 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+01", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+01", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+01/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+01", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+02", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+02", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+02", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+02", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+02", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+02", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+02", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+02", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+02", 'description': "Mean timing of the channels in EB+02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+02", 'description': "Timing RMS of the channels in EB+02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+02", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+02", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+02", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+02", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+02", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+02", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+02", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+02", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+02/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+02", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+02", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+02", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+02", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+02", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+02", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+02", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+02", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+02", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+02", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+02", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+02", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+02", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+02", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+02", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+02", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+02", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+02 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+02 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+02 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+02 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+02 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+02 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+02 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+02 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+02 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+02 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+02", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+02", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+02/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+02", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+03", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+03", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+03", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+03", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+03", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+03", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+03", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+03", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+03", 'description': "Mean timing of the channels in EB+03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+03", 'description': "Timing RMS of the channels in EB+03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+03", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+03", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+03", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+03", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+03", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+03", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+03", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+03", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+03/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+03", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+03", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+03", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+03", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+03", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+03", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+03", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+03", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+03", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+03", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+03", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+03", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+03", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+03", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+03", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+03", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+03", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+03 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+03 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+03 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+03 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+03 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+03 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+03 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+03 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+03 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+03 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+03", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+03", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+03/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+03", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+04", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+04", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+04", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+04", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+04", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+04", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+04", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+04", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+04", 'description': "Mean timing of the channels in EB+04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+04", 'description': "Timing RMS of the channels in EB+04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+04", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+04", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+04", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+04", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+04", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+04", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+04", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+04", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+04/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+04", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+04", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+04", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+04", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+04", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+04", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+04", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+04", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+04", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+04", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+04", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+04", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+04", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+04", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+04", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+04", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+04", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+04 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+04 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+04 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+04 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+04 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+04 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+04 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+04 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+04 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+04 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+04", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+04", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+04/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+04", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+05", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+05", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+05", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+05", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+05", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+05", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+05", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+05", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+05", 'description': "Mean timing of the channels in EB+05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+05", 'description': "Timing RMS of the channels in EB+05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+05", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+05", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+05", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+05", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+05", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+05", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+05", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+05", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+05/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+05", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+05", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+05", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+05", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+05", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+05", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+05", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+05", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+05", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+05", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+05", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+05", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+05", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+05", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+05", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+05", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+05", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+05 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+05 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+05 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+05 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+05 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+05 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+05 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+05 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+05 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+05 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+05", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+05", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+05/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+05", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+06", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+06", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+06", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+06", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+06", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+06", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+06", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+06", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+06", 'description': "Mean timing of the channels in EB+06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+06", 'description': "Timing RMS of the channels in EB+06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+06", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+06", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+06", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+06", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+06", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+06", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+06", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+06", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+06/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+06", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+06", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+06", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+06", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+06", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+06", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+06", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+06", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+06", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+06", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+06", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+06", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+06", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+06", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+06", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+06", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+06", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+06 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+06 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+06 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+06 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+06 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+06 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+06 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+06 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+06 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+06 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+06", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+06", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+06/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+06", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+07", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+07", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+07", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+07", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+07", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+07", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+07", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+07", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+07", 'description': "Mean timing of the channels in EB+07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+07", 'description': "Timing RMS of the channels in EB+07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+07", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+07", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+07", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+07", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+07", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+07", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+07", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+07", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+07/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+07", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+07", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+07", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+07", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+07", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+07", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+07", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+07", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+07", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+07", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+07", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+07", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+07", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+07", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+07", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+07", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+07", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+07 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+07 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+07 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+07 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+07 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+07 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+07 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+07 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+07 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+07 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+07", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+07", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+07/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+07", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+08", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+08", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+08", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+08", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+08", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+08", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+08", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+08", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+08", 'description': "Mean timing of the channels in EB+08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+08", 'description': "Timing RMS of the channels in EB+08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+08", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+08", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+08", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+08", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+08", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+08", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+08", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+08", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+08/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+08", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+08", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+08", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+08", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+08", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+08", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+08", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+08", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+08", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+08", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+08", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+08", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+08", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+08", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+08", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+08", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+08", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+08 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+08 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+08 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+08 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+08 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+08 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+08 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+08 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+08 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+08 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+08", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+08", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+08/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+08", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+09", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+09", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+09", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+09", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+09", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+09", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+09", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+09", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+09", 'description': "Mean timing of the channels in EB+09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+09", 'description': "Timing RMS of the channels in EB+09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+09", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+09", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+09", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+09", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+09", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+09", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+09", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+09", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+09/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+09", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+09", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+09", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+09", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+09", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+09", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+09", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+09", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+09", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+09", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+09", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+09", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+09", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+09", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+09", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+09", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+09", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+09 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+09 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+09 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+09 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+09 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+09 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+09 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+09 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+09 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+09 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+09", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+09", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+09/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+09", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+10", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+10", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+10", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+10", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+10", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+10", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+10", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+10", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+10", 'description': "Mean timing of the channels in EB+10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+10", 'description': "Timing RMS of the channels in EB+10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+10", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+10", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+10", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+10", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+10", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+10", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+10", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+10", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+10/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+10", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+10", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+10", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+10", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+10", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+10", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+10", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+10", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+10", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+10", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+10", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+10", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+10", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+10", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+10", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+10", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+10", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+10 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+10 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+10 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+10 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+10 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+10 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+10 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+10 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+10 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+10 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+10", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+10", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+10/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+10", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+11", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+11", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+11", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+11", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+11", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+11", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+11", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+11", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+11", 'description': "Mean timing of the channels in EB+11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+11", 'description': "Timing RMS of the channels in EB+11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+11", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+11", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+11", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+11", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+11", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+11", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+11", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+11", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+11/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+11", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+11", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+11", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+11", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+11", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+11", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+11", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+11", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+11", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+11", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+11", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+11", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+11", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+11", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+11", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+11", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+11", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+11 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+11 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+11 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+11 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+11 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+11 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+11 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+11 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+11 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+11 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+11", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+11", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+11/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+11", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+12", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+12", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+12", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+12", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+12", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+12", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+12", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+12", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+12", 'description': "Mean timing of the channels in EB+12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+12", 'description': "Timing RMS of the channels in EB+12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+12", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+12", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+12", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+12", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+12", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+12", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+12", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+12", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+12/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+12", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+12", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+12", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+12", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+12", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+12", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+12", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+12", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+12", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+12", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+12", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+12", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+12", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+12", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+12", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+12", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+12", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+12 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+12 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+12 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+12 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+12 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+12 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+12 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+12 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+12 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+12 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+12", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+12", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+12/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+12", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+13", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+13", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+13", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+13", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+13", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+13", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+13", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+13", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+13", 'description': "Mean timing of the channels in EB+13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+13", 'description': "Timing RMS of the channels in EB+13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+13", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+13", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+13", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+13", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+13", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+13", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+13", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+13", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+13/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+13", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+13", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+13", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+13", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+13", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+13", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+13", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+13", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+13", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+13", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+13", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+13", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+13", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+13", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+13", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+13", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+13", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+13 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+13 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+13 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+13 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+13 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+13 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+13 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+13 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+13 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+13 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+13", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+13", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+13/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+13", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+14", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+14", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+14", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+14", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+14", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+14", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+14", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+14", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+14", 'description': "Mean timing of the channels in EB+14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+14", 'description': "Timing RMS of the channels in EB+14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+14", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+14", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+14", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+14", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+14", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+14", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+14", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+14", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+14/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+14", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+14", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+14", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+14", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+14", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+14", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+14", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+14", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+14", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+14", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+14", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+14", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+14", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+14", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+14", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+14", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+14", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+14 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+14 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+14 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+14 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+14 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+14 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+14 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+14 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+14 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+14 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+14", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+14", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+14/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+14", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+15", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+15", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+15", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+15", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+15", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+15", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+15", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+15", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+15", 'description': "Mean timing of the channels in EB+15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+15", 'description': "Timing RMS of the channels in EB+15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+15", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+15", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+15", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+15", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+15", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+15", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+15", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+15", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+15/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+15", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+15", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+15", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+15", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+15", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+15", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+15", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+15", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+15", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+15", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+15", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+15", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+15", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+15", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+15", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+15", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+15", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+15 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+15 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+15 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+15 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+15 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+15 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+15 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+15 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+15 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+15 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+15", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+15", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+15/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+15", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+16", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+16", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+16", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+16", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+16", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+16", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+16", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+16", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+16", 'description': "Mean timing of the channels in EB+16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+16", 'description': "Timing RMS of the channels in EB+16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+16", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+16", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+16", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+16", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+16", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+16", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+16", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+16", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+16/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+16", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+16", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+16", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+16", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+16", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+16", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+16", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+16", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+16", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+16", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+16", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+16", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+16", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+16", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+16", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+16", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+16", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+16 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+16 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+16 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+16 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+16 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+16 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+16 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+16 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+16 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+16 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+16", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+16", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+16/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+16", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+17", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+17", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+17", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+17", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+17", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+17", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+17", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+17", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+17", 'description': "Mean timing of the channels in EB+17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+17", 'description': "Timing RMS of the channels in EB+17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+17", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+17", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+17", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+17", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+17", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+17", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+17", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+17", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+17/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+17", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+17", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+17", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+17", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+17", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+17", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+17", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+17", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+17", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+17", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+17", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+17", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+17", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+17", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+17", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+17", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+17", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+17 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+17 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+17 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+17 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+17 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+17 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+17 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+17 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+17 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+17 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+17", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+17", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+17/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+17", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/00 Integrity (Channel Global)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+18", 'description': "uality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+18", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/01 Integrity (Mem Box)",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+18", 'description': "Quality summary checking that data for each PNs follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+18", 'description': "Occupancy of ECAL PN digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/02 PedestalOnline",
         [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+18", 'description': "Quality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+18", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+18", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/03 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+18", 'description': "Quality summary checking the goodness of the pulse shape timing. It needs at least 10 events with amplitude over threshold (12 ADC counts) to apply quality flag. Otherwise it is yellow. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+18", 'description': "Mean timing of the channels in EB+18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+18", 'description': "Timing RMS of the channels in EB+18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/04 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+18", 'description': "Mismatches between hardware L1 trigger and software emulator. Currently only ET value of the Trigger Primitive is checked. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+18", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/05 Trigger",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+18", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+18", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/06 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+18", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+18", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/07 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+18", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty.  <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+18", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }]) 

eblayout(dqmitems, "01 By Supermodule/EB+18/08 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+18", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None]) 

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/00 Integrity/00 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+18", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+18", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/00 Integrity/01 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+18", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/00 Integrity/02 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/00 Integrity/03 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+18", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+18", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/00 Integrity/04 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+18", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+18", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/01 Pedestal/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+18", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 1. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+18", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+18", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/01 Pedestal/01 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+18", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 6. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+18", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+18", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/01 Pedestal/02 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+18", 'description': "Quality histogram checking the quality of the pedestals from the 10 samples of the pulse shape for the pedestal events in Gain 12. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+18", 'description': "Mean of the pedestal value on the pedestal events for the crystals of supermodule EB+18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+18", 'description': "RMS of the pedestal value on the pedestal events for the crystals of supermodule EB+18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/01 Pedestal/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/01 Pedestal/04 PNs Response",
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/02 TestPulse/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/02 TestPulse/01 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/02 TestPulse/02 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/02 TestPulse/03 PNs Quality",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/02 TestPulse/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+18 G01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/02 TestPulse/05 PNs Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+18 G16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L1/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L1/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L1/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+18 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+18 G01 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L1/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+18 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+18 G16 L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L4/00 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L4/01 Laser",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4A EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4B EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L4/02 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+18 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+18 G01 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/03 Laser/L4/03 Laser",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+18 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+18 G16 L4", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/04 Timing/00 Timing",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/05 Trigger/00 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+18", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/06 Energy/Rechits Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+18", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed rechits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "01 By Supermodule/EB+18/Experts/06 Energy/Rechits Energy Spectrum",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+18", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/00 Summary/00 Global Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EB global summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/01 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/02 Occupancy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT digi occupancy summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/03 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/04 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/05 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/07 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/08 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Et trigger tower summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/09 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT emulator error quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/10 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/00 Summary/11 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])


eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-01", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-01", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-01", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-01", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-01", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-01", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-01", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-01", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-01", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-01/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-01", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-01", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-01/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-01", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-01", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-01", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-01/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-01", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-01", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-01 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-01", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-01 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-01/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-01", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-01", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-01 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-01", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-01 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-01/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-01", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-01", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-01 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-01", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-01 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-01/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-01", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-01 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-01 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-01 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-01 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-01/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-01", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-01 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-01 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-01 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-01 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-01", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-01, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-01", 'description': "Testpulse mean for all the crystals of the supermodule EB-01 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-01", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-01", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-01, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-01", 'description': "Testpulse mean for all the crystals of the supermodule EB-01 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-01", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-01", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-01, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-01", 'description': "Testpulse mean for all the crystals of the supermodule EB-01 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-01", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-01", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-01, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-01 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-01 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-01 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-01", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-01, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-01/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-01 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-01 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-01 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-01", 'description': "Average amplitude for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-01", 'description': "Average APD/PN for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-01", 'description': "Average timing for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-01", 'description': "Mean timing of the channels in EB-01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-01", 'description': "Timing RMS of the channels in EB-01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-01 L1", 'description': "Pulse shape of all the 1700 crystals in EB-01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-01 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-01 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-01 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-01 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-01", 'description': "Average amplitude for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-01", 'description': "Average APD/PN for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-01", 'description': "Average timing for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-01", 'description': "Mean timing of the channels in EB-01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-01", 'description': "Timing RMS of the channels in EB-01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-01 L2", 'description': "Pulse shape of all the 1700 crystals in EB-01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-01 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-01 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-01 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-01 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-01", 'description': "Average amplitude for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-01", 'description': "Average APD/PN for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-01", 'description': "Average timing for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-01", 'description': "Mean timing of the channels in EB-01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-01", 'description': "Timing RMS of the channels in EB-01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-01 L3", 'description': "Pulse shape of all the 1700 crystals in EB-01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-01 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-01 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-01 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-01 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-01", 'description': "Average amplitude for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-01", 'description': "Average APD/PN for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-01", 'description': "Average timing for each channel of EB-01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-01", 'description': "Mean timing of the channels in EB-01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-01", 'description': "Timing RMS of the channels in EB-01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-01 L4", 'description': "Pulse shape of all the 1700 crystals in EB-01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-01 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-01 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-01/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-01 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-01 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-01 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-01/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-01/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-01/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-01/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-01", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-01", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-01/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-01", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-01", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-01/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-01", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-01/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-01", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-01/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-01", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-01/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-01", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-01", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-01/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-01", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-02", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-02", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-02", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-02", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-02", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-02", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-02", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-02", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-02", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-02/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-02", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-02", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-02/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-02", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-02", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-02", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-02/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-02", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-02. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-02", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-02 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-02", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-02 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-02/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-02", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-02. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-02", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-02 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-02", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-02 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-02/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-02", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-02. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-02", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-02 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-02", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-02 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-02/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-02", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-02 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-02 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-02 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-02 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-02/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-02", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-02 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-02 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-02 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-02 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-02", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-02, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-02", 'description': "Testpulse mean for all the crystals of the supermodule EB-02 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-02", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-02", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-02, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-02", 'description': "Testpulse mean for all the crystals of the supermodule EB-02 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-02", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-02", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-02, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-02", 'description': "Testpulse mean for all the crystals of the supermodule EB-02 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-02", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-02", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-02, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-02 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-02 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-02 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-02", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-02, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-02/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-02 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-02 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-02 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-02", 'description': "Average amplitude for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-02", 'description': "Average APD/PN for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-02", 'description': "Average timing for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-02", 'description': "Mean timing of the channels in EB-02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-02", 'description': "Timing RMS of the channels in EB-02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-02 L1", 'description': "Pulse shape of all the 1700 crystals in EB-02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-02 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-02 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-02 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-02 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-02", 'description': "Average amplitude for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-02", 'description': "Average APD/PN for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-02", 'description': "Average timing for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-02", 'description': "Mean timing of the channels in EB-02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-02", 'description': "Timing RMS of the channels in EB-02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-02 L2", 'description': "Pulse shape of all the 1700 crystals in EB-02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-02 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-02 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-02 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-02 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-02", 'description': "Average amplitude for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-02", 'description': "Average APD/PN for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-02", 'description': "Average timing for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-02", 'description': "Mean timing of the channels in EB-02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-02", 'description': "Timing RMS of the channels in EB-02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-02 L3", 'description': "Pulse shape of all the 1700 crystals in EB-02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-02 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-02 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-02 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-02 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-02", 'description': "Average amplitude for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-02", 'description': "Average APD/PN for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-02", 'description': "Average timing for each channel of EB-02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-02", 'description': "Mean timing of the channels in EB-02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-02", 'description': "Timing RMS of the channels in EB-02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-02 L4", 'description': "Pulse shape of all the 1700 crystals in EB-02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-02 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-02 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-02/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-02 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-02 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-02 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-02/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-02/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-02/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-02/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-02", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-02", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-02/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-02", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-02", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-02/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-02", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-02/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-02", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-02/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-02", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-02/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-02", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-02", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-02/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-02", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-03", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-03", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-03", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-03", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-03", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-03", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-03", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-03", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-03", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-03/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-03", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-03", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-03/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-03", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-03", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-03", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-03/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-03", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-03. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-03", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-03 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-03", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-03 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-03/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-03", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-03. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-03", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-03 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-03", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-03 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-03/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-03", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-03. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-03", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-03 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-03", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-03 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-03/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-03", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-03 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-03 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-03 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-03 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-03/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-03", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-03 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-03 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-03 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-03 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-03", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-03, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-03", 'description': "Testpulse mean for all the crystals of the supermodule EB-03 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-03", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-03", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-03, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-03", 'description': "Testpulse mean for all the crystals of the supermodule EB-03 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-03", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-03", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-03, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-03", 'description': "Testpulse mean for all the crystals of the supermodule EB-03 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-03", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-03", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-03, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-03 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-03 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-03 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-03", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-03, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-03/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-03 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-03 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-03 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-03", 'description': "Average amplitude for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-03", 'description': "Average APD/PN for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-03", 'description': "Average timing for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-03", 'description': "Mean timing of the channels in EB-03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-03", 'description': "Timing RMS of the channels in EB-03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-03 L1", 'description': "Pulse shape of all the 1700 crystals in EB-03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-03 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-03 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-03 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-03 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-03", 'description': "Average amplitude for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-03", 'description': "Average APD/PN for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-03", 'description': "Average timing for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-03", 'description': "Mean timing of the channels in EB-03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-03", 'description': "Timing RMS of the channels in EB-03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-03 L2", 'description': "Pulse shape of all the 1700 crystals in EB-03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-03 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-03 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-03 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-03 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-03", 'description': "Average amplitude for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-03", 'description': "Average APD/PN for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-03", 'description': "Average timing for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-03", 'description': "Mean timing of the channels in EB-03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-03", 'description': "Timing RMS of the channels in EB-03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-03 L3", 'description': "Pulse shape of all the 1700 crystals in EB-03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-03 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-03 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-03 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-03 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-03", 'description': "Average amplitude for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-03", 'description': "Average APD/PN for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-03", 'description': "Average timing for each channel of EB-03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-03", 'description': "Mean timing of the channels in EB-03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-03", 'description': "Timing RMS of the channels in EB-03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-03 L4", 'description': "Pulse shape of all the 1700 crystals in EB-03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-03 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-03 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-03/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-03 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-03 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-03 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-03/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-03/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-03/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-03/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-03", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-03", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-03/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-03", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-03", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-03/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-03", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-03/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-03", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-03/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-03", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-03/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-03", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-03", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-03/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-03", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-04", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-04", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-04", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-04", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-04", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-04", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-04", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-04", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-04", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-04/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-04", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-04", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-04/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-04", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-04", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-04", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-04/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-04", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-04. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-04", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-04 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-04", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-04 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-04/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-04", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-04. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-04", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-04 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-04", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-04 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-04/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-04", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-04. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-04", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-04 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-04", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-04 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-04/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-04", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-04 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-04 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-04 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-04 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-04/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-04", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-04 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-04 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-04 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-04 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-04", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-04, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-04", 'description': "Testpulse mean for all the crystals of the supermodule EB-04 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-04", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-04", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-04, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-04", 'description': "Testpulse mean for all the crystals of the supermodule EB-04 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-04", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-04", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-04, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-04", 'description': "Testpulse mean for all the crystals of the supermodule EB-04 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-04", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-04", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-04, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-04 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-04 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-04 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-04", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-04, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-04/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-04 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-04 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-04 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-04", 'description': "Average amplitude for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-04", 'description': "Average APD/PN for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-04", 'description': "Average timing for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-04", 'description': "Mean timing of the channels in EB-04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-04", 'description': "Timing RMS of the channels in EB-04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-04 L1", 'description': "Pulse shape of all the 1700 crystals in EB-04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-04 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-04 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-04 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-04 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-04", 'description': "Average amplitude for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-04", 'description': "Average APD/PN for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-04", 'description': "Average timing for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-04", 'description': "Mean timing of the channels in EB-04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-04", 'description': "Timing RMS of the channels in EB-04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-04 L2", 'description': "Pulse shape of all the 1700 crystals in EB-04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-04 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-04 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-04 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-04 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-04", 'description': "Average amplitude for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-04", 'description': "Average APD/PN for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-04", 'description': "Average timing for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-04", 'description': "Mean timing of the channels in EB-04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-04", 'description': "Timing RMS of the channels in EB-04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-04 L3", 'description': "Pulse shape of all the 1700 crystals in EB-04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-04 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-04 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-04 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-04 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-04", 'description': "Average amplitude for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-04", 'description': "Average APD/PN for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-04", 'description': "Average timing for each channel of EB-04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-04", 'description': "Mean timing of the channels in EB-04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-04", 'description': "Timing RMS of the channels in EB-04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-04 L4", 'description': "Pulse shape of all the 1700 crystals in EB-04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-04 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-04 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-04/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-04 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-04 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-04 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-04/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-04/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-04/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-04/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-04", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-04", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-04/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-04", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-04", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-04/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-04", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-04/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-04", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-04/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-04", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-04/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-04", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-04", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-04/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-04", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-05", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-05", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-05", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-05", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-05", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-05", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-05", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-05", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-05", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-05/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-05", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-05", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-05/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-05", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-05", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-05", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-05/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-05", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-05. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-05", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-05 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-05", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-05 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-05/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-05", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-05. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-05", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-05 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-05", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-05 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-05/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-05", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-05. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-05", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-05 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-05", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-05 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-05/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-05", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-05 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-05 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-05 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-05 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-05/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-05", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-05 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-05 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-05 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-05 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-05", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-05, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-05", 'description': "Testpulse mean for all the crystals of the supermodule EB-05 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-05", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-05", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-05, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-05", 'description': "Testpulse mean for all the crystals of the supermodule EB-05 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-05", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-05", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-05, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-05", 'description': "Testpulse mean for all the crystals of the supermodule EB-05 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-05", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-05", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-05, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-05 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-05 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-05 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-05", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-05, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-05/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-05 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-05 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-05 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-05", 'description': "Average amplitude for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-05", 'description': "Average APD/PN for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-05", 'description': "Average timing for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-05", 'description': "Mean timing of the channels in EB-05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-05", 'description': "Timing RMS of the channels in EB-05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-05 L1", 'description': "Pulse shape of all the 1700 crystals in EB-05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-05 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-05 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-05 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-05 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-05", 'description': "Average amplitude for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-05", 'description': "Average APD/PN for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-05", 'description': "Average timing for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-05", 'description': "Mean timing of the channels in EB-05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-05", 'description': "Timing RMS of the channels in EB-05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-05 L2", 'description': "Pulse shape of all the 1700 crystals in EB-05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-05 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-05 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-05 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-05 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-05", 'description': "Average amplitude for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-05", 'description': "Average APD/PN for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-05", 'description': "Average timing for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-05", 'description': "Mean timing of the channels in EB-05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-05", 'description': "Timing RMS of the channels in EB-05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-05 L3", 'description': "Pulse shape of all the 1700 crystals in EB-05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-05 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-05 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-05 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-05 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-05", 'description': "Average amplitude for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-05", 'description': "Average APD/PN for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-05", 'description': "Average timing for each channel of EB-05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-05", 'description': "Mean timing of the channels in EB-05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-05", 'description': "Timing RMS of the channels in EB-05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-05 L4", 'description': "Pulse shape of all the 1700 crystals in EB-05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-05 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-05 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-05/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-05 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-05 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-05 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-05/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-05/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-05/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-05/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-05", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-05", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-05/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-05", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-05", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-05/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-05", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-05/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-05", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-05/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-05", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-05/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-05", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-05", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-05/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-05", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-06", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-06", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-06", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-06", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-06", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-06", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-06", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-06", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-06", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-06/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-06", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-06", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-06/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-06", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-06", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-06", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-06/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-06", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-06. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-06", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-06 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-06", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-06 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-06/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-06", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-06. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-06", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-06 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-06", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-06 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-06/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-06", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-06. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-06", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-06 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-06", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-06 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-06/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-06", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-06 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-06 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-06 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-06 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-06/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-06", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-06 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-06 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-06 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-06 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-06", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-06, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-06", 'description': "Testpulse mean for all the crystals of the supermodule EB-06 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-06", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-06", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-06, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-06", 'description': "Testpulse mean for all the crystals of the supermodule EB-06 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-06", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-06", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-06, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-06", 'description': "Testpulse mean for all the crystals of the supermodule EB-06 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-06", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-06", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-06, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-06 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-06 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-06 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-06", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-06, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-06/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-06 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-06 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-06 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-06", 'description': "Average amplitude for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-06", 'description': "Average APD/PN for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-06", 'description': "Average timing for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-06", 'description': "Mean timing of the channels in EB-06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-06", 'description': "Timing RMS of the channels in EB-06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-06 L1", 'description': "Pulse shape of all the 1700 crystals in EB-06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-06 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-06 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-06 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-06 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-06", 'description': "Average amplitude for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-06", 'description': "Average APD/PN for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-06", 'description': "Average timing for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-06", 'description': "Mean timing of the channels in EB-06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-06", 'description': "Timing RMS of the channels in EB-06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-06 L2", 'description': "Pulse shape of all the 1700 crystals in EB-06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-06 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-06 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-06 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-06 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-06", 'description': "Average amplitude for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-06", 'description': "Average APD/PN for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-06", 'description': "Average timing for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-06", 'description': "Mean timing of the channels in EB-06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-06", 'description': "Timing RMS of the channels in EB-06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-06 L3", 'description': "Pulse shape of all the 1700 crystals in EB-06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-06 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-06 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-06 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-06 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-06", 'description': "Average amplitude for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-06", 'description': "Average APD/PN for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-06", 'description': "Average timing for each channel of EB-06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-06", 'description': "Mean timing of the channels in EB-06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-06", 'description': "Timing RMS of the channels in EB-06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-06 L4", 'description': "Pulse shape of all the 1700 crystals in EB-06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-06 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-06 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-06/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-06 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-06 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-06 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-06/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-06/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-06/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-06/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-06", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-06", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-06/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-06", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-06", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-06/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-06", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-06/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-06", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-06/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-06", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-06/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-06", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-06", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-06/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-06", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-07", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-07", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-07", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-07", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-07", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-07", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-07", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-07", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-07", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-07/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-07", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-07", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-07/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-07", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-07", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-07", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-07/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-07", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-07. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-07", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-07 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-07", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-07 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-07/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-07", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-07. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-07", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-07 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-07", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-07 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-07/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-07", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-07. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-07", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-07 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-07", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-07 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-07/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-07", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-07 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-07 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-07 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-07 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-07/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-07", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-07 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-07 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-07 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-07 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-07", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-07, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-07", 'description': "Testpulse mean for all the crystals of the supermodule EB-07 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-07", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-07", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-07, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-07", 'description': "Testpulse mean for all the crystals of the supermodule EB-07 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-07", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-07", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-07, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-07", 'description': "Testpulse mean for all the crystals of the supermodule EB-07 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-07", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-07", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-07, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-07 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-07 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-07 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-07", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-07, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-07/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-07 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-07 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-07 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-07", 'description': "Average amplitude for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-07", 'description': "Average APD/PN for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-07", 'description': "Average timing for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-07", 'description': "Mean timing of the channels in EB-07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-07", 'description': "Timing RMS of the channels in EB-07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-07 L1", 'description': "Pulse shape of all the 1700 crystals in EB-07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-07 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-07 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-07 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-07 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-07", 'description': "Average amplitude for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-07", 'description': "Average APD/PN for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-07", 'description': "Average timing for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-07", 'description': "Mean timing of the channels in EB-07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-07", 'description': "Timing RMS of the channels in EB-07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-07 L2", 'description': "Pulse shape of all the 1700 crystals in EB-07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-07 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-07 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-07 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-07 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-07", 'description': "Average amplitude for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-07", 'description': "Average APD/PN for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-07", 'description': "Average timing for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-07", 'description': "Mean timing of the channels in EB-07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-07", 'description': "Timing RMS of the channels in EB-07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-07 L3", 'description': "Pulse shape of all the 1700 crystals in EB-07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-07 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-07 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-07 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-07 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-07", 'description': "Average amplitude for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-07", 'description': "Average APD/PN for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-07", 'description': "Average timing for each channel of EB-07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-07", 'description': "Mean timing of the channels in EB-07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-07", 'description': "Timing RMS of the channels in EB-07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-07 L4", 'description': "Pulse shape of all the 1700 crystals in EB-07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-07 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-07 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-07/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-07 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-07 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-07 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-07/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-07/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-07/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-07/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-07", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-07", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-07/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-07", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-07", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-07/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-07", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-07/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-07", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-07/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-07", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-07/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-07", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-07", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-07/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-07", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-08", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-08", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-08", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-08", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-08", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-08", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-08", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-08", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-08", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-08/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-08", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-08", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-08/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-08", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-08", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-08", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-08/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-08", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-08. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-08", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-08 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-08", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-08 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-08/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-08", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-08. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-08", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-08 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-08", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-08 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-08/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-08", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-08. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-08", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-08 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-08", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-08 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-08/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-08", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-08 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-08 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-08 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-08 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-08/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-08", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-08 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-08 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-08 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-08 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-08", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-08, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-08", 'description': "Testpulse mean for all the crystals of the supermodule EB-08 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-08", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-08", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-08, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-08", 'description': "Testpulse mean for all the crystals of the supermodule EB-08 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-08", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-08", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-08, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-08", 'description': "Testpulse mean for all the crystals of the supermodule EB-08 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-08", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-08", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-08, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-08 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-08 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-08 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-08", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-08, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-08/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-08 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-08 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-08 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-08", 'description': "Average amplitude for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-08", 'description': "Average APD/PN for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-08", 'description': "Average timing for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-08", 'description': "Mean timing of the channels in EB-08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-08", 'description': "Timing RMS of the channels in EB-08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-08 L1", 'description': "Pulse shape of all the 1700 crystals in EB-08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-08 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-08 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-08 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-08 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-08", 'description': "Average amplitude for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-08", 'description': "Average APD/PN for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-08", 'description': "Average timing for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-08", 'description': "Mean timing of the channels in EB-08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-08", 'description': "Timing RMS of the channels in EB-08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-08 L2", 'description': "Pulse shape of all the 1700 crystals in EB-08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-08 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-08 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-08 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-08 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-08", 'description': "Average amplitude for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-08", 'description': "Average APD/PN for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-08", 'description': "Average timing for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-08", 'description': "Mean timing of the channels in EB-08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-08", 'description': "Timing RMS of the channels in EB-08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-08 L3", 'description': "Pulse shape of all the 1700 crystals in EB-08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-08 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-08 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-08 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-08 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-08", 'description': "Average amplitude for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-08", 'description': "Average APD/PN for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-08", 'description': "Average timing for each channel of EB-08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-08", 'description': "Mean timing of the channels in EB-08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-08", 'description': "Timing RMS of the channels in EB-08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-08 L4", 'description': "Pulse shape of all the 1700 crystals in EB-08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-08 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-08 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-08/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-08 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-08 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-08 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-08/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-08/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-08/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-08/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-08", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-08", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-08/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-08", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-08", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-08/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-08", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-08/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-08", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-08/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-08", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-08/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-08", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-08", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-08/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-08", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-09", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-09", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-09", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-09", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-09", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-09", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-09", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-09", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-09", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-09/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-09", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-09", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-09/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-09", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-09", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-09", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-09/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-09", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-09. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-09", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-09 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-09", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-09 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-09/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-09", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-09. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-09", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-09 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-09", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-09 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-09/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-09", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-09. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-09", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-09 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-09", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-09 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-09/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-09", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-09 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-09 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-09 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-09 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-09/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-09", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-09 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-09 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-09 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-09 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-09", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-09, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-09", 'description': "Testpulse mean for all the crystals of the supermodule EB-09 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-09", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-09", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-09, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-09", 'description': "Testpulse mean for all the crystals of the supermodule EB-09 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-09", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-09", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-09, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-09", 'description': "Testpulse mean for all the crystals of the supermodule EB-09 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-09", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-09", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-09, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-09 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-09 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-09 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-09", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-09, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-09/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-09 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-09 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-09 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-09", 'description': "Average amplitude for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-09", 'description': "Average APD/PN for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-09", 'description': "Average timing for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-09", 'description': "Mean timing of the channels in EB-09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-09", 'description': "Timing RMS of the channels in EB-09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-09 L1", 'description': "Pulse shape of all the 1700 crystals in EB-09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-09 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-09 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-09 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-09 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-09", 'description': "Average amplitude for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-09", 'description': "Average APD/PN for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-09", 'description': "Average timing for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-09", 'description': "Mean timing of the channels in EB-09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-09", 'description': "Timing RMS of the channels in EB-09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-09 L2", 'description': "Pulse shape of all the 1700 crystals in EB-09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-09 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-09 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-09 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-09 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-09", 'description': "Average amplitude for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-09", 'description': "Average APD/PN for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-09", 'description': "Average timing for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-09", 'description': "Mean timing of the channels in EB-09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-09", 'description': "Timing RMS of the channels in EB-09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-09 L3", 'description': "Pulse shape of all the 1700 crystals in EB-09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-09 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-09 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-09 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-09 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-09", 'description': "Average amplitude for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-09", 'description': "Average APD/PN for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-09", 'description': "Average timing for each channel of EB-09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-09", 'description': "Mean timing of the channels in EB-09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-09", 'description': "Timing RMS of the channels in EB-09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-09 L4", 'description': "Pulse shape of all the 1700 crystals in EB-09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-09 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-09 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-09/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-09 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-09 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-09 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-09/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-09/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-09/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-09/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-09", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-09", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-09/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-09", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-09", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-09/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-09", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-09/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-09", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-09/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-09", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-09/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-09", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-09", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-09/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-09", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-10", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-10", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-10", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-10", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-10", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-10", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-10", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-10", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-10", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-10/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-10", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-10", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-10/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-10", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-10", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-10", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-10/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-10", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-10. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-10", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-10 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-10", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-10 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-10/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-10", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-10. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-10", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-10 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-10", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-10 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-10/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-10", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-10. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-10", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-10 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-10", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-10 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-10/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-10", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-10 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-10 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-10 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-10 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-10/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-10", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-10 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-10 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-10 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-10 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-10", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-10, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-10", 'description': "Testpulse mean for all the crystals of the supermodule EB-10 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-10", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-10", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-10, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-10", 'description': "Testpulse mean for all the crystals of the supermodule EB-10 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-10", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-10", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-10, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-10", 'description': "Testpulse mean for all the crystals of the supermodule EB-10 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-10", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-10", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-10, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-10 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-10 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-10 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-10", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-10, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-10/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-10 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-10 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-10 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-10", 'description': "Average amplitude for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-10", 'description': "Average APD/PN for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-10", 'description': "Average timing for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-10", 'description': "Mean timing of the channels in EB-10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-10", 'description': "Timing RMS of the channels in EB-10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-10 L1", 'description': "Pulse shape of all the 1700 crystals in EB-10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-10 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-10 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-10 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-10 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-10", 'description': "Average amplitude for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-10", 'description': "Average APD/PN for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-10", 'description': "Average timing for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-10", 'description': "Mean timing of the channels in EB-10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-10", 'description': "Timing RMS of the channels in EB-10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-10 L2", 'description': "Pulse shape of all the 1700 crystals in EB-10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-10 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-10 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-10 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-10 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-10", 'description': "Average amplitude for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-10", 'description': "Average APD/PN for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-10", 'description': "Average timing for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-10", 'description': "Mean timing of the channels in EB-10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-10", 'description': "Timing RMS of the channels in EB-10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-10 L3", 'description': "Pulse shape of all the 1700 crystals in EB-10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-10 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-10 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-10 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-10 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-10", 'description': "Average amplitude for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-10", 'description': "Average APD/PN for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-10", 'description': "Average timing for each channel of EB-10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-10", 'description': "Mean timing of the channels in EB-10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-10", 'description': "Timing RMS of the channels in EB-10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-10 L4", 'description': "Pulse shape of all the 1700 crystals in EB-10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-10 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-10 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-10/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-10 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-10 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-10 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-10/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-10/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-10/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-10/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-10", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-10", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-10/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-10", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-10", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-10/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-10", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-10/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-10", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-10/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-10", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-10/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-10", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-10", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-10/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-10", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-11", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-11", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-11", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-11", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-11", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-11", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-11", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-11", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-11", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-11/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-11", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-11", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-11/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-11", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-11", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-11", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-11/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-11", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-11. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-11", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-11 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-11", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-11 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-11/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-11", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-11. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-11", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-11 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-11", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-11 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-11/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-11", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-11. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-11", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-11 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-11", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-11 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-11/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-11", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-11 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-11 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-11 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-11 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-11/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-11", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-11 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-11 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-11 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-11 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-11", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-11, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-11", 'description': "Testpulse mean for all the crystals of the supermodule EB-11 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-11", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-11", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-11, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-11", 'description': "Testpulse mean for all the crystals of the supermodule EB-11 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-11", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-11", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-11, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-11", 'description': "Testpulse mean for all the crystals of the supermodule EB-11 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-11", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-11", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-11, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-11 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-11 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-11 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-11", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-11, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-11/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-11 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-11 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-11 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-11", 'description': "Average amplitude for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-11", 'description': "Average APD/PN for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-11", 'description': "Average timing for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-11", 'description': "Mean timing of the channels in EB-11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-11", 'description': "Timing RMS of the channels in EB-11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-11 L1", 'description': "Pulse shape of all the 1700 crystals in EB-11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-11 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-11 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-11 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-11 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-11", 'description': "Average amplitude for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-11", 'description': "Average APD/PN for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-11", 'description': "Average timing for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-11", 'description': "Mean timing of the channels in EB-11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-11", 'description': "Timing RMS of the channels in EB-11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-11 L2", 'description': "Pulse shape of all the 1700 crystals in EB-11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-11 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-11 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-11 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-11 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-11", 'description': "Average amplitude for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-11", 'description': "Average APD/PN for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-11", 'description': "Average timing for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-11", 'description': "Mean timing of the channels in EB-11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-11", 'description': "Timing RMS of the channels in EB-11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-11 L3", 'description': "Pulse shape of all the 1700 crystals in EB-11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-11 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-11 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-11 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-11 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-11", 'description': "Average amplitude for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-11", 'description': "Average APD/PN for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-11", 'description': "Average timing for each channel of EB-11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-11", 'description': "Mean timing of the channels in EB-11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-11", 'description': "Timing RMS of the channels in EB-11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-11 L4", 'description': "Pulse shape of all the 1700 crystals in EB-11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-11 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-11 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-11/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-11 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-11 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-11 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-11/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-11/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-11/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-11/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-11", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-11", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-11/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-11", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-11", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-11/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-11", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-11/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-11", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-11/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-11", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-11/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-11", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-11", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-11/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-11", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-12", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-12", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-12", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-12", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-12", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-12", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-12", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-12", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-12", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-12/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-12", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-12", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-12/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-12", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-12", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-12", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-12/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-12", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-12. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-12", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-12 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-12", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-12 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-12/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-12", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-12. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-12", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-12 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-12", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-12 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-12/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-12", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-12. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-12", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-12 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-12", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-12 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-12/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-12", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-12 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-12 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-12 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-12 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-12/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-12", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-12 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-12 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-12 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-12 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-12", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-12, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-12", 'description': "Testpulse mean for all the crystals of the supermodule EB-12 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-12", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-12", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-12, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-12", 'description': "Testpulse mean for all the crystals of the supermodule EB-12 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-12", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-12", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-12, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-12", 'description': "Testpulse mean for all the crystals of the supermodule EB-12 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-12", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-12", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-12, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-12 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-12 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-12 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-12", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-12, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-12/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-12 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-12 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-12 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-12", 'description': "Average amplitude for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-12", 'description': "Average APD/PN for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-12", 'description': "Average timing for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-12", 'description': "Mean timing of the channels in EB-12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-12", 'description': "Timing RMS of the channels in EB-12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-12 L1", 'description': "Pulse shape of all the 1700 crystals in EB-12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-12 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-12 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-12 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-12 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-12", 'description': "Average amplitude for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-12", 'description': "Average APD/PN for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-12", 'description': "Average timing for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-12", 'description': "Mean timing of the channels in EB-12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-12", 'description': "Timing RMS of the channels in EB-12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-12 L2", 'description': "Pulse shape of all the 1700 crystals in EB-12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-12 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-12 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-12 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-12 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-12", 'description': "Average amplitude for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-12", 'description': "Average APD/PN for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-12", 'description': "Average timing for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-12", 'description': "Mean timing of the channels in EB-12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-12", 'description': "Timing RMS of the channels in EB-12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-12 L3", 'description': "Pulse shape of all the 1700 crystals in EB-12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-12 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-12 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-12 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-12 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-12", 'description': "Average amplitude for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-12", 'description': "Average APD/PN for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-12", 'description': "Average timing for each channel of EB-12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-12", 'description': "Mean timing of the channels in EB-12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-12", 'description': "Timing RMS of the channels in EB-12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-12 L4", 'description': "Pulse shape of all the 1700 crystals in EB-12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-12 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-12 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-12/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-12 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-12 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-12 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-12/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-12/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-12/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-12/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-12", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-12", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-12/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-12", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-12", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-12/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-12", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-12/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-12", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-12/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-12", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-12/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-12", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-12", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-12/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-12", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-13", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-13", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-13", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-13", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-13", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-13", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-13", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-13", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-13", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-13/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-13", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-13", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-13/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-13", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-13", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-13", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-13/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-13", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-13. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-13", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-13 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-13", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-13 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-13/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-13", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-13. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-13", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-13 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-13", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-13 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-13/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-13", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-13. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-13", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-13 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-13", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-13 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-13/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-13", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-13 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-13 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-13 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-13 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-13/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-13", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-13 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-13 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-13 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-13 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-13", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-13, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-13", 'description': "Testpulse mean for all the crystals of the supermodule EB-13 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-13", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-13", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-13, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-13", 'description': "Testpulse mean for all the crystals of the supermodule EB-13 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-13", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-13", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-13, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-13", 'description': "Testpulse mean for all the crystals of the supermodule EB-13 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-13", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-13", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-13, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-13 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-13 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-13 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-13", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-13, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-13/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-13 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-13 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-13 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-13", 'description': "Average amplitude for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-13", 'description': "Average APD/PN for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-13", 'description': "Average timing for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-13", 'description': "Mean timing of the channels in EB-13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-13", 'description': "Timing RMS of the channels in EB-13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-13 L1", 'description': "Pulse shape of all the 1700 crystals in EB-13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-13 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-13 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-13 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-13 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-13", 'description': "Average amplitude for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-13", 'description': "Average APD/PN for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-13", 'description': "Average timing for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-13", 'description': "Mean timing of the channels in EB-13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-13", 'description': "Timing RMS of the channels in EB-13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-13 L2", 'description': "Pulse shape of all the 1700 crystals in EB-13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-13 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-13 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-13 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-13 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-13", 'description': "Average amplitude for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-13", 'description': "Average APD/PN for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-13", 'description': "Average timing for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-13", 'description': "Mean timing of the channels in EB-13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-13", 'description': "Timing RMS of the channels in EB-13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-13 L3", 'description': "Pulse shape of all the 1700 crystals in EB-13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-13 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-13 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-13 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-13 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-13", 'description': "Average amplitude for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-13", 'description': "Average APD/PN for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-13", 'description': "Average timing for each channel of EB-13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-13", 'description': "Mean timing of the channels in EB-13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-13", 'description': "Timing RMS of the channels in EB-13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-13 L4", 'description': "Pulse shape of all the 1700 crystals in EB-13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-13 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-13 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-13/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-13 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-13 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-13 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-13/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-13/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-13/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-13/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-13", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-13", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-13/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-13", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-13", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-13/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-13", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-13/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-13", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-13/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-13", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-13/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-13", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-13", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-13/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-13", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-14", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-14", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-14", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-14", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-14", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-14", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-14", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-14", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-14", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-14/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-14", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-14", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-14/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-14", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-14", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-14", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-14/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-14", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-14. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-14", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-14 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-14", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-14 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-14/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-14", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-14. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-14", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-14 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-14", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-14 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-14/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-14", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-14. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-14", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-14 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-14", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-14 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-14/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-14", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-14 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-14 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-14 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-14 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-14/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-14", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-14 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-14 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-14 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-14 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-14", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-14, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-14", 'description': "Testpulse mean for all the crystals of the supermodule EB-14 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-14", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-14", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-14, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-14", 'description': "Testpulse mean for all the crystals of the supermodule EB-14 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-14", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-14", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-14, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-14", 'description': "Testpulse mean for all the crystals of the supermodule EB-14 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-14", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-14", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-14, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-14 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-14 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-14 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-14", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-14, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-14/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-14 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-14 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-14 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-14", 'description': "Average amplitude for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-14", 'description': "Average APD/PN for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-14", 'description': "Average timing for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-14", 'description': "Mean timing of the channels in EB-14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-14", 'description': "Timing RMS of the channels in EB-14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-14 L1", 'description': "Pulse shape of all the 1700 crystals in EB-14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-14 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-14 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-14 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-14 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-14", 'description': "Average amplitude for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-14", 'description': "Average APD/PN for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-14", 'description': "Average timing for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-14", 'description': "Mean timing of the channels in EB-14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-14", 'description': "Timing RMS of the channels in EB-14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-14 L2", 'description': "Pulse shape of all the 1700 crystals in EB-14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-14 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-14 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-14 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-14 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-14", 'description': "Average amplitude for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-14", 'description': "Average APD/PN for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-14", 'description': "Average timing for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-14", 'description': "Mean timing of the channels in EB-14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-14", 'description': "Timing RMS of the channels in EB-14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-14 L3", 'description': "Pulse shape of all the 1700 crystals in EB-14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-14 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-14 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-14 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-14 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-14", 'description': "Average amplitude for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-14", 'description': "Average APD/PN for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-14", 'description': "Average timing for each channel of EB-14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-14", 'description': "Mean timing of the channels in EB-14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-14", 'description': "Timing RMS of the channels in EB-14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-14 L4", 'description': "Pulse shape of all the 1700 crystals in EB-14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-14 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-14 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-14/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-14 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-14 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-14 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-14/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-14/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-14/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-14/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-14", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-14", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-14/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-14", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-14", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-14/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-14", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-14/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-14", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-14/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-14", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-14/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-14", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-14", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-14/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-14", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-15", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-15", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-15", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-15", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-15", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-15", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-15", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-15", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-15", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-15/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-15", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-15", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-15/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-15", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-15", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-15", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-15/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-15", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-15. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-15", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-15 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-15", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-15 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-15/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-15", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-15. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-15", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-15 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-15", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-15 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-15/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-15", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-15. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-15", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-15 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-15", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-15 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-15/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-15", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-15 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-15 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-15 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-15 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-15/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-15", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-15 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-15 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-15 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-15 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-15", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-15, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-15", 'description': "Testpulse mean for all the crystals of the supermodule EB-15 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-15", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-15", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-15, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-15", 'description': "Testpulse mean for all the crystals of the supermodule EB-15 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-15", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-15", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-15, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-15", 'description': "Testpulse mean for all the crystals of the supermodule EB-15 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-15", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-15", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-15, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-15 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-15 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-15 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-15", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-15, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-15/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-15 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-15 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-15 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-15", 'description': "Average amplitude for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-15", 'description': "Average APD/PN for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-15", 'description': "Average timing for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-15", 'description': "Mean timing of the channels in EB-15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-15", 'description': "Timing RMS of the channels in EB-15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-15 L1", 'description': "Pulse shape of all the 1700 crystals in EB-15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-15 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-15 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-15 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-15 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-15", 'description': "Average amplitude for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-15", 'description': "Average APD/PN for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-15", 'description': "Average timing for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-15", 'description': "Mean timing of the channels in EB-15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-15", 'description': "Timing RMS of the channels in EB-15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-15 L2", 'description': "Pulse shape of all the 1700 crystals in EB-15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-15 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-15 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-15 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-15 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-15", 'description': "Average amplitude for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-15", 'description': "Average APD/PN for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-15", 'description': "Average timing for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-15", 'description': "Mean timing of the channels in EB-15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-15", 'description': "Timing RMS of the channels in EB-15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-15 L3", 'description': "Pulse shape of all the 1700 crystals in EB-15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-15 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-15 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-15 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-15 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-15", 'description': "Average amplitude for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-15", 'description': "Average APD/PN for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-15", 'description': "Average timing for each channel of EB-15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-15", 'description': "Mean timing of the channels in EB-15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-15", 'description': "Timing RMS of the channels in EB-15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-15 L4", 'description': "Pulse shape of all the 1700 crystals in EB-15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-15 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-15 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-15/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-15 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-15 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-15 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-15/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-15/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-15/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-15/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-15", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-15", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-15/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-15", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-15", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-15/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-15", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-15/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-15", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-15/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-15", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-15/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-15", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-15", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-15/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-15", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-16", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-16", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-16", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-16", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-16", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-16", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-16", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-16", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-16", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-16/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-16", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-16", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-16/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-16", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-16", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-16", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-16/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-16", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-16", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-16 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-16", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-16 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-16/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-16", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-16", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-16 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-16", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-16 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-16/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-16", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-16", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-16 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-16", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-16 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-16/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-16", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-16 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-16 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-16 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-16 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-16/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-16", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-16 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-16 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-16 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-16 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-16", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-16, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-16", 'description': "Testpulse mean for all the crystals of the supermodule EB-16 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-16", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-16", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-16, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-16", 'description': "Testpulse mean for all the crystals of the supermodule EB-16 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-16", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-16", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-16, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-16", 'description': "Testpulse mean for all the crystals of the supermodule EB-16 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-16", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-16", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-16, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-16 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-16 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-16 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-16", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-16, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-16/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-16 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-16 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-16 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-16", 'description': "Average amplitude for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-16", 'description': "Average APD/PN for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-16", 'description': "Average timing for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-16", 'description': "Mean timing of the channels in EB-16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-16", 'description': "Timing RMS of the channels in EB-16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-16 L1", 'description': "Pulse shape of all the 1700 crystals in EB-16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-16 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-16 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-16 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-16 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-16", 'description': "Average amplitude for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-16", 'description': "Average APD/PN for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-16", 'description': "Average timing for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-16", 'description': "Mean timing of the channels in EB-16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-16", 'description': "Timing RMS of the channels in EB-16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-16 L2", 'description': "Pulse shape of all the 1700 crystals in EB-16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-16 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-16 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-16 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-16 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-16", 'description': "Average amplitude for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-16", 'description': "Average APD/PN for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-16", 'description': "Average timing for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-16", 'description': "Mean timing of the channels in EB-16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-16", 'description': "Timing RMS of the channels in EB-16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-16 L3", 'description': "Pulse shape of all the 1700 crystals in EB-16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-16 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-16 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-16 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-16 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-16", 'description': "Average amplitude for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-16", 'description': "Average APD/PN for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-16", 'description': "Average timing for each channel of EB-16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-16", 'description': "Mean timing of the channels in EB-16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-16", 'description': "Timing RMS of the channels in EB-16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-16 L4", 'description': "Pulse shape of all the 1700 crystals in EB-16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-16 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-16 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-16/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-16 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-16 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-16 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-16/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-16/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-16/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-16/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-16", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-16", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-16/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-16", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-16", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-16/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-16", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-16/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-16", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-16/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-16", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-16/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-16", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-16", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-16/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-16", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-17", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-17", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-17", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-17", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-17", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-17", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-17", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-17", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-17", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-17/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-17", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-17", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-17/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-17", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-17", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-17", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-17/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-17", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-17. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-17", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-17 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-17", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-17 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-17/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-17", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-17. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-17", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-17 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-17", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-17 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-17/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-17", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-17. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-17", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-17 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-17", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-17 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-17/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-17", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-17 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-17 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-17 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-17 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-17/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-17", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-17 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-17 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-17 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-17 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-17", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-17, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-17", 'description': "Testpulse mean for all the crystals of the supermodule EB-17 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-17", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-17", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-17, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-17", 'description': "Testpulse mean for all the crystals of the supermodule EB-17 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-17", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-17", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-17, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-17", 'description': "Testpulse mean for all the crystals of the supermodule EB-17 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-17", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-17", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-17, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-17 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-17 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-17 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-17", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-17, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-17/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-17 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-17 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-17 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-17", 'description': "Average amplitude for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-17", 'description': "Average APD/PN for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-17", 'description': "Average timing for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-17", 'description': "Mean timing of the channels in EB-17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-17", 'description': "Timing RMS of the channels in EB-17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-17 L1", 'description': "Pulse shape of all the 1700 crystals in EB-17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-17 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-17 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-17 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-17 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-17", 'description': "Average amplitude for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-17", 'description': "Average APD/PN for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-17", 'description': "Average timing for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-17", 'description': "Mean timing of the channels in EB-17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-17", 'description': "Timing RMS of the channels in EB-17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-17 L2", 'description': "Pulse shape of all the 1700 crystals in EB-17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-17 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-17 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-17 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-17 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-17", 'description': "Average amplitude for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-17", 'description': "Average APD/PN for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-17", 'description': "Average timing for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-17", 'description': "Mean timing of the channels in EB-17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-17", 'description': "Timing RMS of the channels in EB-17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-17 L3", 'description': "Pulse shape of all the 1700 crystals in EB-17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-17 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-17 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-17 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-17 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-17", 'description': "Average amplitude for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-17", 'description': "Average APD/PN for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-17", 'description': "Average timing for each channel of EB-17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-17", 'description': "Mean timing of the channels in EB-17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-17", 'description': "Timing RMS of the channels in EB-17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-17 L4", 'description': "Pulse shape of all the 1700 crystals in EB-17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-17 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-17 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-17/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-17 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-17 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-17 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-17/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-17/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-17/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-17/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-17", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-17", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-17/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-17", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-17", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-17/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-17", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-17/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-17", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-17/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-17", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-17/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-17", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-17", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-17/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-17", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB-18", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB-18", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB-18", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB-18", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB-18", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB-18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB-18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB-18", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB-18", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB-18", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB-18", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB-18/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB-18", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB-18", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB-18/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB-18", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB-18", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB-18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB-18", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB-18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-18/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB-18", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB-18. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB-18", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-18 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB-18", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-18 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-18/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB-18", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB-18. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB-18", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-18 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB-18", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-18 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-18/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB-18", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB-18. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB-18", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB-18 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB-18", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB-18 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-18/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB-18", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB-18 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-18 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-18 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-18 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB-18/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB-18", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB-18 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB-18 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB-18 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB-18 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB-18", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB-18, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB-18", 'description': "Testpulse mean for all the crystals of the supermodule EB-18 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB-18", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB-18", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB-18, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB-18", 'description': "Testpulse mean for all the crystals of the supermodule EB-18 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB-18", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB-18", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB-18, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB-18", 'description': "Testpulse mean for all the crystals of the supermodule EB-18 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB-18", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB-18", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-18, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB-18 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-18 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB-18 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB-18", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB-18, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB-18/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB-18 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB-18 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB-18 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB-18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB-18", 'description': "Average amplitude for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB-18", 'description': "Average APD/PN for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB-18", 'description': "Average timing for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB-18", 'description': "Mean timing of the channels in EB-18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB-18", 'description': "Timing RMS of the channels in EB-18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB-18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB-18 L1", 'description': "Pulse shape of all the 1700 crystals in EB-18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB-18 G01 L1", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB-18 G01 L1", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB-18 G16 L1", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB-18 G16 L1", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB-18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB-18", 'description': "Average amplitude for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB-18", 'description': "Average APD/PN for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB-18", 'description': "Average timing for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB-18", 'description': "Mean timing of the channels in EB-18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB-18", 'description': "Timing RMS of the channels in EB-18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB-18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB-18 L2", 'description': "Pulse shape of all the 1700 crystals in EB-18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB-18 G01 L2", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB-18 G01 L2", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB-18 G16 L2", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB-18 G16 L2", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB-18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB-18", 'description': "Average amplitude for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB-18", 'description': "Average APD/PN for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB-18", 'description': "Average timing for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB-18", 'description': "Mean timing of the channels in EB-18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB-18", 'description': "Timing RMS of the channels in EB-18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB-18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB-18 L3", 'description': "Pulse shape of all the 1700 crystals in EB-18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB-18 G01 L3", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB-18 G01 L3", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB-18 G16 L3", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB-18 G16 L3", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB-18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB-18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB-18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB-18", 'description': "Average amplitude for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB-18", 'description': "Average APD/PN for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB-18", 'description': "Average timing for each channel of EB-18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB-18", 'description': "Mean timing of the channels in EB-18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB-18", 'description': "Timing RMS of the channels in EB-18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB-18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB-18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB-18 L4", 'description': "Pulse shape of all the 1700 crystals in EB-18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB-18 G01 L4", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB-18 G01 L4", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB-18/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB-18 G16 L4", 'description': "Average pedestals of the 10 PNs of EB-18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB-18 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB-18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB-18 G16 L4", 'description': "Amplitudes of the 10 PNs of EB-18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-18/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-18/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB-18/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB-18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-18/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB-18", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB-18", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-18/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB-18", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB-18", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB-18/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB-18", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-18/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB-18", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB-18/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB-18", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-18/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB-18", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB-18", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB-18/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB-18", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+01", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+01", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+01", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+01", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+01", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+01", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+01", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+01", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+01", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+01", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+01/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+01", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+01", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+01/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+01", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+01", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+01. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+01", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+01. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+01/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+01", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+01", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+01 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+01", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+01 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+01/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+01", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+01", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+01 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+01", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+01 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+01/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+01", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+01", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+01 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+01", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+01 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+01/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+01", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+01 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+01 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+01 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+01 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+01/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+01", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+01 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+01 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+01 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+01 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+01", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+01, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+01", 'description': "Testpulse mean for all the crystals of the supermodule EB+01 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+01", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+01", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+01, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+01", 'description': "Testpulse mean for all the crystals of the supermodule EB+01 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+01", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+01", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+01, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+01", 'description': "Testpulse mean for all the crystals of the supermodule EB+01 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+01", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+01", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+01, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+01 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+01 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+01 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+01", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+01, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+01/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+01 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+01 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+01 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+01", 'description': "Average amplitude for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+01", 'description': "Average APD/PN for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+01", 'description': "Average timing for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+01", 'description': "Mean timing of the channels in EB+01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+01", 'description': "Timing RMS of the channels in EB+01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+01 L1", 'description': "Pulse shape of all the 1700 crystals in EB+01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+01 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+01 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+01 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+01 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+01", 'description': "Average amplitude for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+01", 'description': "Average APD/PN for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+01", 'description': "Average timing for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+01", 'description': "Mean timing of the channels in EB+01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+01", 'description': "Timing RMS of the channels in EB+01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+01 L2", 'description': "Pulse shape of all the 1700 crystals in EB+01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+01 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+01 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+01 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+01 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+01", 'description': "Average amplitude for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+01", 'description': "Average APD/PN for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+01", 'description': "Average timing for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+01", 'description': "Mean timing of the channels in EB+01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+01", 'description': "Timing RMS of the channels in EB+01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+01 L3", 'description': "Pulse shape of all the 1700 crystals in EB+01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+01 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+01 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+01 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+01 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+01", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+01", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+01, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+01", 'description': "Average amplitude for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+01", 'description': "Average APD/PN for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+01", 'description': "Average timing for each channel of EB+01 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+01", 'description': "Mean timing of the channels in EB+01. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+01", 'description': "Timing RMS of the channels in EB+01. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+01", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+01) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+01 L4", 'description': "Pulse shape of all the 1700 crystals in EB+01, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+01 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+01 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+01/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+01 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+01 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+01 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+01 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+01 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+01 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+01/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+01/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+01/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+01", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+01/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+01", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+01", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+01/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+01", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+01", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+01/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+01", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+01/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+01", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+01/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+01", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+01/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+01", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+01", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+01/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+01", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+02", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+02", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+02", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+02", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+02", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+02", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+02", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+02", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+02", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+02", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+02/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+02", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+02", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+02/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+02", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+02", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+02. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+02", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+02. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+02/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+02", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+02. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+02", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+02 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+02", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+02 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+02/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+02", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+02. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+02", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+02 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+02", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+02 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+02/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+02", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+02. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+02", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+02 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+02", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+02 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+02/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+02", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+02 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+02 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+02 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+02 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+02/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+02", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+02 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+02 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+02 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+02 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+02", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+02, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+02", 'description': "Testpulse mean for all the crystals of the supermodule EB+02 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+02", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+02", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+02, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+02", 'description': "Testpulse mean for all the crystals of the supermodule EB+02 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+02", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+02", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+02, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+02", 'description': "Testpulse mean for all the crystals of the supermodule EB+02 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+02", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+02", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+02, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+02 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+02 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+02 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+02", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+02, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+02/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+02 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+02 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+02 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+02", 'description': "Average amplitude for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+02", 'description': "Average APD/PN for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+02", 'description': "Average timing for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+02", 'description': "Mean timing of the channels in EB+02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+02", 'description': "Timing RMS of the channels in EB+02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+02 L1", 'description': "Pulse shape of all the 1700 crystals in EB+02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+02 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+02 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+02 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+02 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+02", 'description': "Average amplitude for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+02", 'description': "Average APD/PN for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+02", 'description': "Average timing for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+02", 'description': "Mean timing of the channels in EB+02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+02", 'description': "Timing RMS of the channels in EB+02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+02 L2", 'description': "Pulse shape of all the 1700 crystals in EB+02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+02 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+02 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+02 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+02 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+02", 'description': "Average amplitude for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+02", 'description': "Average APD/PN for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+02", 'description': "Average timing for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+02", 'description': "Mean timing of the channels in EB+02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+02", 'description': "Timing RMS of the channels in EB+02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+02 L3", 'description': "Pulse shape of all the 1700 crystals in EB+02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+02 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+02 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+02 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+02 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+02", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+02", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+02, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+02", 'description': "Average amplitude for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+02", 'description': "Average APD/PN for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+02", 'description': "Average timing for each channel of EB+02 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+02", 'description': "Mean timing of the channels in EB+02. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+02", 'description': "Timing RMS of the channels in EB+02. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+02", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+02) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+02 L4", 'description': "Pulse shape of all the 1700 crystals in EB+02, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+02 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+02 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+02/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+02 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+02 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+02 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+02 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+02 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+02 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+02/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+02/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+02/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+02", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+02/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+02", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+02", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+02/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+02", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+02", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+02/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+02", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+02/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+02", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+02/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+02", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+02/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+02", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+02", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+02/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+02", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+03", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+03", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+03", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+03", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+03", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+03", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+03", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+03", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+03", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+03", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+03/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+03", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+03", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+03/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+03", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+03", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+03. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+03", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+03. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+03/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+03", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+03. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+03", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+03 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+03", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+03 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+03/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+03", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+03. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+03", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+03 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+03", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+03 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+03/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+03", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+03. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+03", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+03 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+03", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+03 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+03/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+03", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+03 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+03 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+03 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+03 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+03/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+03", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+03 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+03 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+03 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+03 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+03", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+03, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+03", 'description': "Testpulse mean for all the crystals of the supermodule EB+03 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+03", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+03", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+03, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+03", 'description': "Testpulse mean for all the crystals of the supermodule EB+03 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+03", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+03", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+03, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+03", 'description': "Testpulse mean for all the crystals of the supermodule EB+03 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+03", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+03", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+03, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+03 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+03 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+03 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+03", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+03, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+03/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+03 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+03 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+03 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+03", 'description': "Average amplitude for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+03", 'description': "Average APD/PN for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+03", 'description': "Average timing for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+03", 'description': "Mean timing of the channels in EB+03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+03", 'description': "Timing RMS of the channels in EB+03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+03 L1", 'description': "Pulse shape of all the 1700 crystals in EB+03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+03 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+03 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+03 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+03 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+03", 'description': "Average amplitude for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+03", 'description': "Average APD/PN for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+03", 'description': "Average timing for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+03", 'description': "Mean timing of the channels in EB+03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+03", 'description': "Timing RMS of the channels in EB+03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+03 L2", 'description': "Pulse shape of all the 1700 crystals in EB+03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+03 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+03 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+03 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+03 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+03", 'description': "Average amplitude for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+03", 'description': "Average APD/PN for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+03", 'description': "Average timing for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+03", 'description': "Mean timing of the channels in EB+03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+03", 'description': "Timing RMS of the channels in EB+03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+03 L3", 'description': "Pulse shape of all the 1700 crystals in EB+03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+03 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+03 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+03 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+03 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+03", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+03", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+03, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+03", 'description': "Average amplitude for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+03", 'description': "Average APD/PN for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+03", 'description': "Average timing for each channel of EB+03 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+03", 'description': "Mean timing of the channels in EB+03. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+03", 'description': "Timing RMS of the channels in EB+03. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+03", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+03) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+03 L4", 'description': "Pulse shape of all the 1700 crystals in EB+03, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+03 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+03 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+03/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+03 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+03 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+03 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+03 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+03 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+03 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+03/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+03/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+03/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+03", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+03/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+03", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+03", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+03/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+03", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+03", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+03/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+03", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+03/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+03", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+03/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+03", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+03/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+03", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+03", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+03/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+03", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+04", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+04", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+04", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+04", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+04", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+04", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+04", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+04", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+04", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+04", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+04/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+04", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+04", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+04/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+04", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+04", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+04. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+04", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+04. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+04/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+04", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+04. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+04", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+04 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+04", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+04 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+04/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+04", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+04. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+04", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+04 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+04", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+04 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+04/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+04", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+04. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+04", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+04 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+04", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+04 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+04/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+04", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+04 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+04 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+04 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+04 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+04/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+04", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+04 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+04 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+04 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+04 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+04", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+04, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+04", 'description': "Testpulse mean for all the crystals of the supermodule EB+04 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+04", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+04", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+04, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+04", 'description': "Testpulse mean for all the crystals of the supermodule EB+04 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+04", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+04", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+04, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+04", 'description': "Testpulse mean for all the crystals of the supermodule EB+04 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+04", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+04", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+04, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+04 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+04 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+04 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+04", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+04, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+04/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+04 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+04 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+04 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+04", 'description': "Average amplitude for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+04", 'description': "Average APD/PN for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+04", 'description': "Average timing for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+04", 'description': "Mean timing of the channels in EB+04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+04", 'description': "Timing RMS of the channels in EB+04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+04 L1", 'description': "Pulse shape of all the 1700 crystals in EB+04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+04 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+04 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+04 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+04 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+04", 'description': "Average amplitude for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+04", 'description': "Average APD/PN for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+04", 'description': "Average timing for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+04", 'description': "Mean timing of the channels in EB+04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+04", 'description': "Timing RMS of the channels in EB+04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+04 L2", 'description': "Pulse shape of all the 1700 crystals in EB+04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+04 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+04 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+04 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+04 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+04", 'description': "Average amplitude for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+04", 'description': "Average APD/PN for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+04", 'description': "Average timing for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+04", 'description': "Mean timing of the channels in EB+04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+04", 'description': "Timing RMS of the channels in EB+04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+04 L3", 'description': "Pulse shape of all the 1700 crystals in EB+04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+04 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+04 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+04 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+04 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+04", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+04", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+04, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+04", 'description': "Average amplitude for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+04", 'description': "Average APD/PN for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+04", 'description': "Average timing for each channel of EB+04 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+04", 'description': "Mean timing of the channels in EB+04. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+04", 'description': "Timing RMS of the channels in EB+04. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+04", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+04) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+04 L4", 'description': "Pulse shape of all the 1700 crystals in EB+04, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+04 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+04 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+04/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+04 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+04 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+04 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+04 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+04 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+04 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+04/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+04/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+04/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+04", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+04/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+04", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+04", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+04/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+04", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+04", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+04/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+04", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+04/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+04", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+04/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+04", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+04/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+04", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+04", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+04/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+04", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+05", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+05", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+05", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+05", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+05", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+05", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+05", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+05", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+05", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+05", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+05/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+05", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+05", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+05/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+05", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+05", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+05. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+05", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+05. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+05/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+05", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+05. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+05", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+05 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+05", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+05 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+05/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+05", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+05. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+05", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+05 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+05", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+05 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+05/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+05", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+05. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+05", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+05 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+05", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+05 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+05/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+05", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+05 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+05 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+05 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+05 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+05/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+05", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+05 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+05 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+05 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+05 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+05", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+05, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+05", 'description': "Testpulse mean for all the crystals of the supermodule EB+05 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+05", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+05", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+05, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+05", 'description': "Testpulse mean for all the crystals of the supermodule EB+05 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+05", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+05", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+05, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+05", 'description': "Testpulse mean for all the crystals of the supermodule EB+05 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+05", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+05", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+05, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+05 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+05 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+05 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+05", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+05, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+05/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+05 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+05 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+05 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+05", 'description': "Average amplitude for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+05", 'description': "Average APD/PN for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+05", 'description': "Average timing for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+05", 'description': "Mean timing of the channels in EB+05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+05", 'description': "Timing RMS of the channels in EB+05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+05 L1", 'description': "Pulse shape of all the 1700 crystals in EB+05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+05 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+05 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+05 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+05 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+05", 'description': "Average amplitude for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+05", 'description': "Average APD/PN for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+05", 'description': "Average timing for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+05", 'description': "Mean timing of the channels in EB+05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+05", 'description': "Timing RMS of the channels in EB+05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+05 L2", 'description': "Pulse shape of all the 1700 crystals in EB+05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+05 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+05 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+05 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+05 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+05", 'description': "Average amplitude for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+05", 'description': "Average APD/PN for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+05", 'description': "Average timing for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+05", 'description': "Mean timing of the channels in EB+05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+05", 'description': "Timing RMS of the channels in EB+05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+05 L3", 'description': "Pulse shape of all the 1700 crystals in EB+05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+05 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+05 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+05 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+05 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+05", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+05", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+05, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+05", 'description': "Average amplitude for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+05", 'description': "Average APD/PN for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+05", 'description': "Average timing for each channel of EB+05 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+05", 'description': "Mean timing of the channels in EB+05. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+05", 'description': "Timing RMS of the channels in EB+05. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+05", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+05) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+05 L4", 'description': "Pulse shape of all the 1700 crystals in EB+05, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+05 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+05 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+05/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+05 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+05 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+05 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+05 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+05 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+05 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+05/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+05/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+05/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+05", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+05/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+05", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+05", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+05/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+05", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+05", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+05/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+05", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+05/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+05", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+05/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+05", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+05/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+05", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+05", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+05/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+05", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+06", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+06", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+06", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+06", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+06", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+06", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+06", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+06", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+06", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+06", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+06/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+06", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+06", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+06/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+06", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+06", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+06. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+06", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+06. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+06/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+06", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+06. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+06", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+06 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+06", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+06 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+06/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+06", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+06. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+06", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+06 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+06", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+06 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+06/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+06", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+06. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+06", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+06 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+06", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+06 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+06/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+06", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+06 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+06 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+06 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+06 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+06/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+06", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+06 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+06 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+06 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+06 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+06", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+06, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+06", 'description': "Testpulse mean for all the crystals of the supermodule EB+06 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+06", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+06", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+06, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+06", 'description': "Testpulse mean for all the crystals of the supermodule EB+06 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+06", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+06", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+06, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+06", 'description': "Testpulse mean for all the crystals of the supermodule EB+06 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+06", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+06", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+06, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+06 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+06 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+06 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+06", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+06, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+06/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+06 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+06 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+06 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+06", 'description': "Average amplitude for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+06", 'description': "Average APD/PN for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+06", 'description': "Average timing for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+06", 'description': "Mean timing of the channels in EB+06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+06", 'description': "Timing RMS of the channels in EB+06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+06 L1", 'description': "Pulse shape of all the 1700 crystals in EB+06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+06 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+06 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+06 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+06 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+06", 'description': "Average amplitude for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+06", 'description': "Average APD/PN for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+06", 'description': "Average timing for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+06", 'description': "Mean timing of the channels in EB+06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+06", 'description': "Timing RMS of the channels in EB+06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+06 L2", 'description': "Pulse shape of all the 1700 crystals in EB+06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+06 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+06 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+06 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+06 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+06", 'description': "Average amplitude for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+06", 'description': "Average APD/PN for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+06", 'description': "Average timing for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+06", 'description': "Mean timing of the channels in EB+06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+06", 'description': "Timing RMS of the channels in EB+06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+06 L3", 'description': "Pulse shape of all the 1700 crystals in EB+06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+06 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+06 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+06 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+06 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+06", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+06", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+06, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+06", 'description': "Average amplitude for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+06", 'description': "Average APD/PN for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+06", 'description': "Average timing for each channel of EB+06 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+06", 'description': "Mean timing of the channels in EB+06. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+06", 'description': "Timing RMS of the channels in EB+06. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+06", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+06) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+06 L4", 'description': "Pulse shape of all the 1700 crystals in EB+06, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+06 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+06 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+06/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+06 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+06 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+06 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+06 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+06 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+06 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+06/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+06/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+06/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+06", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+06/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+06", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+06", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+06/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+06", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+06", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+06/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+06", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+06/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+06", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+06/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+06", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+06/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+06", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+06", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+06/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+06", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+07", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+07", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+07", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+07", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+07", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+07", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+07", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+07", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+07", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+07", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+07/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+07", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+07", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+07/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+07", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+07", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+07. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+07", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+07. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+07/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+07", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+07. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+07", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+07 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+07", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+07 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+07/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+07", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+07. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+07", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+07 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+07", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+07 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+07/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+07", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+07. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+07", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+07 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+07", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+07 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+07/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+07", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+07 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+07 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+07 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+07 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+07/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+07", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+07 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+07 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+07 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+07 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+07", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+07, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+07", 'description': "Testpulse mean for all the crystals of the supermodule EB+07 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+07", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+07", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+07, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+07", 'description': "Testpulse mean for all the crystals of the supermodule EB+07 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+07", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+07", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+07, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+07", 'description': "Testpulse mean for all the crystals of the supermodule EB+07 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+07", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+07", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+07, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+07 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+07 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+07 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+07", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+07, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+07/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+07 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+07 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+07 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+07", 'description': "Average amplitude for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+07", 'description': "Average APD/PN for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+07", 'description': "Average timing for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+07", 'description': "Mean timing of the channels in EB+07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+07", 'description': "Timing RMS of the channels in EB+07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+07 L1", 'description': "Pulse shape of all the 1700 crystals in EB+07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+07 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+07 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+07 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+07 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+07", 'description': "Average amplitude for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+07", 'description': "Average APD/PN for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+07", 'description': "Average timing for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+07", 'description': "Mean timing of the channels in EB+07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+07", 'description': "Timing RMS of the channels in EB+07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+07 L2", 'description': "Pulse shape of all the 1700 crystals in EB+07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+07 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+07 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+07 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+07 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+07", 'description': "Average amplitude for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+07", 'description': "Average APD/PN for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+07", 'description': "Average timing for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+07", 'description': "Mean timing of the channels in EB+07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+07", 'description': "Timing RMS of the channels in EB+07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+07 L3", 'description': "Pulse shape of all the 1700 crystals in EB+07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+07 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+07 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+07 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+07 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+07", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+07", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+07, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+07", 'description': "Average amplitude for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+07", 'description': "Average APD/PN for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+07", 'description': "Average timing for each channel of EB+07 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+07", 'description': "Mean timing of the channels in EB+07. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+07", 'description': "Timing RMS of the channels in EB+07. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+07", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+07) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+07 L4", 'description': "Pulse shape of all the 1700 crystals in EB+07, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+07 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+07 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+07/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+07 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+07 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+07 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+07 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+07 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+07 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+07/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+07/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+07/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+07", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+07/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+07", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+07", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+07/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+07", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+07", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+07/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+07", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+07/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+07", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+07/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+07", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+07/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+07", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+07", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+07/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+07", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+08", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+08", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+08", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+08", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+08", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+08", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+08", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+08", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+08", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+08", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+08/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+08", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+08", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+08/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+08", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+08", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+08. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+08", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+08. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+08/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+08", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+08. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+08", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+08 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+08", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+08 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+08/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+08", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+08. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+08", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+08 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+08", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+08 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+08/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+08", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+08. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+08", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+08 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+08", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+08 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+08/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+08", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+08 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+08 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+08 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+08 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+08/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+08", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+08 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+08 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+08 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+08 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+08", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+08, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+08", 'description': "Testpulse mean for all the crystals of the supermodule EB+08 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+08", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+08", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+08, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+08", 'description': "Testpulse mean for all the crystals of the supermodule EB+08 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+08", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+08", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+08, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+08", 'description': "Testpulse mean for all the crystals of the supermodule EB+08 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+08", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+08", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+08, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+08 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+08 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+08 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+08", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+08, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+08/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+08 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+08 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+08 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+08", 'description': "Average amplitude for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+08", 'description': "Average APD/PN for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+08", 'description': "Average timing for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+08", 'description': "Mean timing of the channels in EB+08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+08", 'description': "Timing RMS of the channels in EB+08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+08 L1", 'description': "Pulse shape of all the 1700 crystals in EB+08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+08 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+08 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+08 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+08 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+08", 'description': "Average amplitude for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+08", 'description': "Average APD/PN for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+08", 'description': "Average timing for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+08", 'description': "Mean timing of the channels in EB+08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+08", 'description': "Timing RMS of the channels in EB+08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+08 L2", 'description': "Pulse shape of all the 1700 crystals in EB+08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+08 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+08 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+08 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+08 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+08", 'description': "Average amplitude for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+08", 'description': "Average APD/PN for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+08", 'description': "Average timing for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+08", 'description': "Mean timing of the channels in EB+08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+08", 'description': "Timing RMS of the channels in EB+08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+08 L3", 'description': "Pulse shape of all the 1700 crystals in EB+08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+08 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+08 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+08 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+08 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+08", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+08", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+08, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+08", 'description': "Average amplitude for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+08", 'description': "Average APD/PN for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+08", 'description': "Average timing for each channel of EB+08 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+08", 'description': "Mean timing of the channels in EB+08. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+08", 'description': "Timing RMS of the channels in EB+08. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+08", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+08) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+08 L4", 'description': "Pulse shape of all the 1700 crystals in EB+08, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+08 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+08 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+08/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+08 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+08 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+08 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+08 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+08 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+08 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+08/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+08/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+08/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+08", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+08/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+08", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+08", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+08/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+08", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+08", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+08/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+08", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+08/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+08", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+08/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+08", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+08/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+08", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+08", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+08/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+08", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+09", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+09", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+09", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+09", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+09", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+09", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+09", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+09", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+09", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+09", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+09/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+09", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+09", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+09/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+09", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+09", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+09. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+09", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+09. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+09/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+09", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+09. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+09", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+09 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+09", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+09 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+09/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+09", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+09. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+09", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+09 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+09", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+09 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+09/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+09", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+09. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+09", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+09 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+09", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+09 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+09/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+09", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+09 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+09 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+09 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+09 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+09/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+09", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+09 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+09 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+09 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+09 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+09", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+09, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+09", 'description': "Testpulse mean for all the crystals of the supermodule EB+09 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+09", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+09", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+09, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+09", 'description': "Testpulse mean for all the crystals of the supermodule EB+09 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+09", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+09", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+09, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+09", 'description': "Testpulse mean for all the crystals of the supermodule EB+09 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+09", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+09", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+09, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+09 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+09 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+09 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+09", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+09, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+09/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+09 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+09 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+09 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+09", 'description': "Average amplitude for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+09", 'description': "Average APD/PN for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+09", 'description': "Average timing for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+09", 'description': "Mean timing of the channels in EB+09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+09", 'description': "Timing RMS of the channels in EB+09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+09 L1", 'description': "Pulse shape of all the 1700 crystals in EB+09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+09 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+09 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+09 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+09 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+09", 'description': "Average amplitude for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+09", 'description': "Average APD/PN for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+09", 'description': "Average timing for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+09", 'description': "Mean timing of the channels in EB+09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+09", 'description': "Timing RMS of the channels in EB+09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+09 L2", 'description': "Pulse shape of all the 1700 crystals in EB+09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+09 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+09 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+09 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+09 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+09", 'description': "Average amplitude for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+09", 'description': "Average APD/PN for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+09", 'description': "Average timing for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+09", 'description': "Mean timing of the channels in EB+09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+09", 'description': "Timing RMS of the channels in EB+09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+09 L3", 'description': "Pulse shape of all the 1700 crystals in EB+09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+09 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+09 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+09 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+09 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+09", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+09", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+09, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+09", 'description': "Average amplitude for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+09", 'description': "Average APD/PN for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+09", 'description': "Average timing for each channel of EB+09 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+09", 'description': "Mean timing of the channels in EB+09. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+09", 'description': "Timing RMS of the channels in EB+09. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+09", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+09) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+09 L4", 'description': "Pulse shape of all the 1700 crystals in EB+09, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+09 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+09 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+09/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+09 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+09 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+09 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+09 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+09 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+09 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+09/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+09/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+09/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+09", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+09/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+09", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+09", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+09/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+09", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+09", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+09/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+09", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+09/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+09", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+09/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+09", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+09/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+09", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+09", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+09/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+09", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+10", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+10", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+10", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+10", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+10", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+10", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+10", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+10", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+10", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+10", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+10/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+10", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+10", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+10/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+10", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+10", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+10. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+10", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+10. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+10/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+10", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+10. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+10", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+10 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+10", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+10 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+10/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+10", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+10. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+10", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+10 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+10", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+10 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+10/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+10", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+10. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+10", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+10 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+10", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+10 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+10/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+10", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+10 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+10 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+10 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+10 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+10/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+10", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+10 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+10 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+10 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+10 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+10", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+10, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+10", 'description': "Testpulse mean for all the crystals of the supermodule EB+10 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+10", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+10", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+10, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+10", 'description': "Testpulse mean for all the crystals of the supermodule EB+10 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+10", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+10", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+10, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+10", 'description': "Testpulse mean for all the crystals of the supermodule EB+10 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+10", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+10", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+10, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+10 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+10 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+10 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+10", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+10, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+10/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+10 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+10 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+10 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+10", 'description': "Average amplitude for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+10", 'description': "Average APD/PN for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+10", 'description': "Average timing for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+10", 'description': "Mean timing of the channels in EB+10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+10", 'description': "Timing RMS of the channels in EB+10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+10 L1", 'description': "Pulse shape of all the 1700 crystals in EB+10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+10 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+10 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+10 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+10 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+10", 'description': "Average amplitude for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+10", 'description': "Average APD/PN for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+10", 'description': "Average timing for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+10", 'description': "Mean timing of the channels in EB+10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+10", 'description': "Timing RMS of the channels in EB+10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+10 L2", 'description': "Pulse shape of all the 1700 crystals in EB+10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+10 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+10 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+10 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+10 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+10", 'description': "Average amplitude for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+10", 'description': "Average APD/PN for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+10", 'description': "Average timing for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+10", 'description': "Mean timing of the channels in EB+10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+10", 'description': "Timing RMS of the channels in EB+10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+10 L3", 'description': "Pulse shape of all the 1700 crystals in EB+10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+10 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+10 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+10 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+10 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+10", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+10", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+10, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+10", 'description': "Average amplitude for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+10", 'description': "Average APD/PN for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+10", 'description': "Average timing for each channel of EB+10 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+10", 'description': "Mean timing of the channels in EB+10. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+10", 'description': "Timing RMS of the channels in EB+10. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+10", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+10) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+10 L4", 'description': "Pulse shape of all the 1700 crystals in EB+10, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+10 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+10 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+10/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+10 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+10 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+10 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+10 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+10 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+10 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+10/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+10/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+10/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+10", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+10/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+10", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+10", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+10/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+10", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+10", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+10/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+10", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+10/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+10", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+10/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+10", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+10/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+10", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+10", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+10/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+10", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+11", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+11", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+11", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+11", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+11", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+11", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+11", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+11", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+11", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+11", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+11/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+11", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+11", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+11/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+11", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+11", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+11. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+11", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+11. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+11/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+11", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+11. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+11", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+11 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+11", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+11 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+11/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+11", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+11. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+11", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+11 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+11", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+11 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+11/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+11", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+11. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+11", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+11 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+11", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+11 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+11/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+11", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+11 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+11 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+11 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+11 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+11/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+11", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+11 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+11 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+11 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+11 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+11", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+11, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+11", 'description': "Testpulse mean for all the crystals of the supermodule EB+11 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+11", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+11", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+11, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+11", 'description': "Testpulse mean for all the crystals of the supermodule EB+11 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+11", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+11", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+11, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+11", 'description': "Testpulse mean for all the crystals of the supermodule EB+11 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+11", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+11", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+11, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+11 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+11 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+11 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+11", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+11, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+11/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+11 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+11 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+11 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+11", 'description': "Average amplitude for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+11", 'description': "Average APD/PN for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+11", 'description': "Average timing for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+11", 'description': "Mean timing of the channels in EB+11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+11", 'description': "Timing RMS of the channels in EB+11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+11 L1", 'description': "Pulse shape of all the 1700 crystals in EB+11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+11 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+11 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+11 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+11 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+11", 'description': "Average amplitude for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+11", 'description': "Average APD/PN for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+11", 'description': "Average timing for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+11", 'description': "Mean timing of the channels in EB+11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+11", 'description': "Timing RMS of the channels in EB+11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+11 L2", 'description': "Pulse shape of all the 1700 crystals in EB+11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+11 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+11 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+11 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+11 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+11", 'description': "Average amplitude for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+11", 'description': "Average APD/PN for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+11", 'description': "Average timing for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+11", 'description': "Mean timing of the channels in EB+11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+11", 'description': "Timing RMS of the channels in EB+11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+11 L3", 'description': "Pulse shape of all the 1700 crystals in EB+11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+11 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+11 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+11 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+11 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+11", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+11", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+11, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+11", 'description': "Average amplitude for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+11", 'description': "Average APD/PN for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+11", 'description': "Average timing for each channel of EB+11 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+11", 'description': "Mean timing of the channels in EB+11. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+11", 'description': "Timing RMS of the channels in EB+11. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+11", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+11) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+11 L4", 'description': "Pulse shape of all the 1700 crystals in EB+11, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+11 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+11 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+11/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+11 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+11 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+11 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+11 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+11 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+11 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+11/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+11/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+11/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+11", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+11/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+11", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+11", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+11/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+11", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+11", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+11/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+11", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+11/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+11", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+11/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+11", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+11/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+11", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+11", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+11/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+11", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+12", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+12", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+12", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+12", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+12", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+12", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+12", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+12", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+12", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+12", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+12/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+12", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+12", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+12/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+12", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+12", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+12. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+12", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+12. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+12/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+12", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+12. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+12", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+12 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+12", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+12 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+12/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+12", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+12. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+12", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+12 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+12", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+12 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+12/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+12", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+12. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+12", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+12 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+12", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+12 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+12/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+12", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+12 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+12 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+12 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+12 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+12/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+12", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+12 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+12 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+12 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+12 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+12", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+12, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+12", 'description': "Testpulse mean for all the crystals of the supermodule EB+12 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+12", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+12", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+12, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+12", 'description': "Testpulse mean for all the crystals of the supermodule EB+12 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+12", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+12", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+12, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+12", 'description': "Testpulse mean for all the crystals of the supermodule EB+12 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+12", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+12", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+12, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+12 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+12 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+12 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+12", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+12, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+12/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+12 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+12 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+12 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+12", 'description': "Average amplitude for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+12", 'description': "Average APD/PN for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+12", 'description': "Average timing for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+12", 'description': "Mean timing of the channels in EB+12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+12", 'description': "Timing RMS of the channels in EB+12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+12 L1", 'description': "Pulse shape of all the 1700 crystals in EB+12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+12 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+12 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+12 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+12 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+12", 'description': "Average amplitude for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+12", 'description': "Average APD/PN for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+12", 'description': "Average timing for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+12", 'description': "Mean timing of the channels in EB+12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+12", 'description': "Timing RMS of the channels in EB+12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+12 L2", 'description': "Pulse shape of all the 1700 crystals in EB+12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+12 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+12 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+12 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+12 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+12", 'description': "Average amplitude for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+12", 'description': "Average APD/PN for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+12", 'description': "Average timing for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+12", 'description': "Mean timing of the channels in EB+12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+12", 'description': "Timing RMS of the channels in EB+12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+12 L3", 'description': "Pulse shape of all the 1700 crystals in EB+12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+12 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+12 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+12 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+12 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+12", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+12", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+12, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+12", 'description': "Average amplitude for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+12", 'description': "Average APD/PN for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+12", 'description': "Average timing for each channel of EB+12 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+12", 'description': "Mean timing of the channels in EB+12. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+12", 'description': "Timing RMS of the channels in EB+12. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+12", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+12) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+12 L4", 'description': "Pulse shape of all the 1700 crystals in EB+12, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+12 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+12 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+12/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+12 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+12 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+12 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+12 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+12 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+12 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+12/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+12/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+12/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+12", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+12/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+12", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+12", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+12/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+12", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+12", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+12/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+12", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+12/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+12", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+12/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+12", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+12/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+12", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+12", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+12/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+12", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+13", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+13", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+13", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+13", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+13", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+13", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+13", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+13", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+13", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+13", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+13/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+13", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+13", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+13/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+13", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+13", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+13. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+13", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+13. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+13/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+13", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+13. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+13", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+13 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+13", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+13 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+13/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+13", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+13. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+13", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+13 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+13", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+13 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+13/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+13", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+13. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+13", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+13 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+13", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+13 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+13/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+13", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+13 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+13 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+13 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+13 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+13/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+13", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+13 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+13 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+13 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+13 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+13", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+13, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+13", 'description': "Testpulse mean for all the crystals of the supermodule EB+13 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+13", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+13", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+13, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+13", 'description': "Testpulse mean for all the crystals of the supermodule EB+13 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+13", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+13", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+13, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+13", 'description': "Testpulse mean for all the crystals of the supermodule EB+13 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+13", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+13", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+13, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+13 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+13 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+13 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+13", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+13, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+13/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+13 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+13 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+13 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+13", 'description': "Average amplitude for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+13", 'description': "Average APD/PN for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+13", 'description': "Average timing for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+13", 'description': "Mean timing of the channels in EB+13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+13", 'description': "Timing RMS of the channels in EB+13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+13 L1", 'description': "Pulse shape of all the 1700 crystals in EB+13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+13 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+13 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+13 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+13 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+13", 'description': "Average amplitude for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+13", 'description': "Average APD/PN for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+13", 'description': "Average timing for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+13", 'description': "Mean timing of the channels in EB+13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+13", 'description': "Timing RMS of the channels in EB+13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+13 L2", 'description': "Pulse shape of all the 1700 crystals in EB+13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+13 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+13 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+13 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+13 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+13", 'description': "Average amplitude for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+13", 'description': "Average APD/PN for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+13", 'description': "Average timing for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+13", 'description': "Mean timing of the channels in EB+13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+13", 'description': "Timing RMS of the channels in EB+13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+13 L3", 'description': "Pulse shape of all the 1700 crystals in EB+13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+13 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+13 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+13 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+13 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+13", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+13", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+13, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+13", 'description': "Average amplitude for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+13", 'description': "Average APD/PN for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+13", 'description': "Average timing for each channel of EB+13 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+13", 'description': "Mean timing of the channels in EB+13. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+13", 'description': "Timing RMS of the channels in EB+13. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+13", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+13) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+13 L4", 'description': "Pulse shape of all the 1700 crystals in EB+13, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+13 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+13 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+13/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+13 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+13 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+13 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+13 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+13 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+13 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+13/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+13/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+13/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+13", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+13/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+13", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+13", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+13/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+13", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+13", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+13/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+13", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+13/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+13", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+13/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+13", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+13/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+13", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+13", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+13/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+13", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+14", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+14", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+14", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+14", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+14", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+14", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+14", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+14", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+14", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+14", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+14/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+14", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+14", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+14/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+14", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+14", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+14. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+14", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+14. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+14/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+14", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+14. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+14", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+14 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+14", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+14 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+14/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+14", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+14. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+14", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+14 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+14", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+14 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+14/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+14", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+14. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+14", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+14 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+14", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+14 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+14/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+14", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+14 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+14 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+14 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+14 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+14/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+14", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+14 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+14 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+14 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+14 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+14", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+14, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+14", 'description': "Testpulse mean for all the crystals of the supermodule EB+14 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+14", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+14", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+14, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+14", 'description': "Testpulse mean for all the crystals of the supermodule EB+14 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+14", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+14", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+14, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+14", 'description': "Testpulse mean for all the crystals of the supermodule EB+14 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+14", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+14", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+14, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+14 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+14 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+14 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+14", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+14, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+14/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+14 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+14 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+14 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+14", 'description': "Average amplitude for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+14", 'description': "Average APD/PN for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+14", 'description': "Average timing for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+14", 'description': "Mean timing of the channels in EB+14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+14", 'description': "Timing RMS of the channels in EB+14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+14 L1", 'description': "Pulse shape of all the 1700 crystals in EB+14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+14 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+14 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+14 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+14 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+14", 'description': "Average amplitude for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+14", 'description': "Average APD/PN for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+14", 'description': "Average timing for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+14", 'description': "Mean timing of the channels in EB+14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+14", 'description': "Timing RMS of the channels in EB+14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+14 L2", 'description': "Pulse shape of all the 1700 crystals in EB+14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+14 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+14 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+14 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+14 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+14", 'description': "Average amplitude for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+14", 'description': "Average APD/PN for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+14", 'description': "Average timing for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+14", 'description': "Mean timing of the channels in EB+14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+14", 'description': "Timing RMS of the channels in EB+14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+14 L3", 'description': "Pulse shape of all the 1700 crystals in EB+14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+14 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+14 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+14 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+14 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+14", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+14", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+14, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+14", 'description': "Average amplitude for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+14", 'description': "Average APD/PN for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+14", 'description': "Average timing for each channel of EB+14 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+14", 'description': "Mean timing of the channels in EB+14. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+14", 'description': "Timing RMS of the channels in EB+14. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+14", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+14) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+14 L4", 'description': "Pulse shape of all the 1700 crystals in EB+14, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+14 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+14 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+14/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+14 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+14 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+14 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+14 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+14 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+14 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+14/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+14/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+14/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+14", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+14/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+14", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+14", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+14/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+14", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+14", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+14/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+14", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+14/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+14", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+14/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+14", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+14/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+14", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+14", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+14/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+14", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+15", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+15", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+15", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+15", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+15", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+15", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+15", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+15", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+15", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+15", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+15/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+15", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+15", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+15/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+15", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+15", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+15. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+15", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+15. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+15/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+15", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+15. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+15", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+15 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+15", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+15 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+15/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+15", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+15. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+15", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+15 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+15", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+15 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+15/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+15", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+15. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+15", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+15 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+15", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+15 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+15/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+15", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+15 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+15 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+15 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+15 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+15/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+15", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+15 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+15 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+15 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+15 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+15", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+15, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+15", 'description': "Testpulse mean for all the crystals of the supermodule EB+15 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+15", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+15", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+15, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+15", 'description': "Testpulse mean for all the crystals of the supermodule EB+15 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+15", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+15", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+15, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+15", 'description': "Testpulse mean for all the crystals of the supermodule EB+15 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+15", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+15", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+15, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+15 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+15 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+15 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+15", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+15, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+15/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+15 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+15 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+15 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+15", 'description': "Average amplitude for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+15", 'description': "Average APD/PN for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+15", 'description': "Average timing for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+15", 'description': "Mean timing of the channels in EB+15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+15", 'description': "Timing RMS of the channels in EB+15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+15 L1", 'description': "Pulse shape of all the 1700 crystals in EB+15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+15 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+15 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+15 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+15 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+15", 'description': "Average amplitude for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+15", 'description': "Average APD/PN for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+15", 'description': "Average timing for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+15", 'description': "Mean timing of the channels in EB+15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+15", 'description': "Timing RMS of the channels in EB+15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+15 L2", 'description': "Pulse shape of all the 1700 crystals in EB+15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+15 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+15 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+15 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+15 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+15", 'description': "Average amplitude for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+15", 'description': "Average APD/PN for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+15", 'description': "Average timing for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+15", 'description': "Mean timing of the channels in EB+15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+15", 'description': "Timing RMS of the channels in EB+15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+15 L3", 'description': "Pulse shape of all the 1700 crystals in EB+15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+15 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+15 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+15 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+15 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+15", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+15", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+15, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+15", 'description': "Average amplitude for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+15", 'description': "Average APD/PN for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+15", 'description': "Average timing for each channel of EB+15 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+15", 'description': "Mean timing of the channels in EB+15. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+15", 'description': "Timing RMS of the channels in EB+15. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+15", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+15) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+15 L4", 'description': "Pulse shape of all the 1700 crystals in EB+15, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+15 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+15 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+15/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+15 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+15 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+15 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+15 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+15 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+15 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+15/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+15/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+15/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+15", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+15/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+15", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+15", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+15/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+15", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+15", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+15/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+15", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+15/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+15", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+15/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+15", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+15/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+15", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+15", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+15/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+15", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+16", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+16", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+16", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+16", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+16", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+16", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+16", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+16", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+16", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+16", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+16/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+16", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+16", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+16/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+16", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+16", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+16. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+16", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+16. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+16/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+16", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+16", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+16 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+16", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+16 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+16/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+16", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+16", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+16 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+16", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+16 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+16/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+16", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+16", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+16 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+16", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+16 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+16/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+16", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+16 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+16 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+16 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+16 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+16/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+16", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+16 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+16 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+16 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+16 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+16", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+16, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+16", 'description': "Testpulse mean for all the crystals of the supermodule EB+16 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+16", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+16", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+16, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+16", 'description': "Testpulse mean for all the crystals of the supermodule EB+16 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+16", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+16", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+16, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+16", 'description': "Testpulse mean for all the crystals of the supermodule EB+16 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+16", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+16", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+16, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+16 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+16 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+16 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+16", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+16, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+16/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+16 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+16 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+16 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+16", 'description': "Average amplitude for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+16", 'description': "Average APD/PN for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+16", 'description': "Average timing for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+16", 'description': "Mean timing of the channels in EB+16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+16", 'description': "Timing RMS of the channels in EB+16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+16 L1", 'description': "Pulse shape of all the 1700 crystals in EB+16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+16 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+16 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+16 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+16 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+16", 'description': "Average amplitude for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+16", 'description': "Average APD/PN for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+16", 'description': "Average timing for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+16", 'description': "Mean timing of the channels in EB+16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+16", 'description': "Timing RMS of the channels in EB+16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+16 L2", 'description': "Pulse shape of all the 1700 crystals in EB+16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+16 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+16 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+16 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+16 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+16", 'description': "Average amplitude for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+16", 'description': "Average APD/PN for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+16", 'description': "Average timing for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+16", 'description': "Mean timing of the channels in EB+16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+16", 'description': "Timing RMS of the channels in EB+16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+16 L3", 'description': "Pulse shape of all the 1700 crystals in EB+16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+16 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+16 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+16 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+16 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+16", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+16", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+16, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+16", 'description': "Average amplitude for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+16", 'description': "Average APD/PN for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+16", 'description': "Average timing for each channel of EB+16 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+16", 'description': "Mean timing of the channels in EB+16. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+16", 'description': "Timing RMS of the channels in EB+16. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+16", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+16) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+16 L4", 'description': "Pulse shape of all the 1700 crystals in EB+16, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+16 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+16 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+16/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+16 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+16 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+16 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+16 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+16 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+16 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+16/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+16/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+16/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+16", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+16/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+16", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+16", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+16/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+16", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+16", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+16/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+16", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+16/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+16", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+16/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+16", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+16/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+16", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+16", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+16/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+16", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+17", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+17", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+17", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+17", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+17", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+17", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+17", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+17", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+17", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+17", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+17/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+17", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+17", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+17/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+17", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+17", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+17. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+17", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+17. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+17/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+17", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+17. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+17", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+17 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+17", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+17 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+17/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+17", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+17. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+17", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+17 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+17", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+17 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+17/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+17", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+17. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+17", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+17 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+17", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+17 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+17/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+17", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+17 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+17 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+17 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+17 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+17/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+17", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+17 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+17 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+17 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+17 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+17", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+17, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+17", 'description': "Testpulse mean for all the crystals of the supermodule EB+17 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+17", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+17", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+17, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+17", 'description': "Testpulse mean for all the crystals of the supermodule EB+17 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+17", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+17", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+17, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+17", 'description': "Testpulse mean for all the crystals of the supermodule EB+17 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+17", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+17", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+17, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+17 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+17 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+17 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+17", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+17, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+17/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+17 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+17 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+17 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+17", 'description': "Average amplitude for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+17", 'description': "Average APD/PN for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+17", 'description': "Average timing for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+17", 'description': "Mean timing of the channels in EB+17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+17", 'description': "Timing RMS of the channels in EB+17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+17 L1", 'description': "Pulse shape of all the 1700 crystals in EB+17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+17 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+17 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+17 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+17 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+17", 'description': "Average amplitude for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+17", 'description': "Average APD/PN for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+17", 'description': "Average timing for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+17", 'description': "Mean timing of the channels in EB+17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+17", 'description': "Timing RMS of the channels in EB+17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+17 L2", 'description': "Pulse shape of all the 1700 crystals in EB+17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+17 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+17 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+17 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+17 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+17", 'description': "Average amplitude for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+17", 'description': "Average APD/PN for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+17", 'description': "Average timing for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+17", 'description': "Mean timing of the channels in EB+17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+17", 'description': "Timing RMS of the channels in EB+17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+17 L3", 'description': "Pulse shape of all the 1700 crystals in EB+17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+17 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+17 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+17 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+17 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+17", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+17", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+17, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+17", 'description': "Average amplitude for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+17", 'description': "Average APD/PN for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+17", 'description': "Average timing for each channel of EB+17 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+17", 'description': "Mean timing of the channels in EB+17. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+17", 'description': "Timing RMS of the channels in EB+17. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+17", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+17) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+17 L4", 'description': "Pulse shape of all the 1700 crystals in EB+17, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+17 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+17 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+17/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+17 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+17 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+17 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+17 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+17 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+17 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+17/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+17/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+17/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+17", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+17/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+17", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+17", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+17/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+17", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+17", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+17/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+17", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+17/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+17", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+17/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+17", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+17/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+17", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+17", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+17/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+17", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/00 Integrity Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBIT integrity quality summary", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/00 Channel Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality EB+18", 'description': "Quality summary checking that data for each crystal follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy EB+18", 'description': "Occupancy of ECAL digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/01 Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/Gain/EBIT gain EB+18", 'description': "Occupancy of integrity errors of type: GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/ChId/EBIT ChId EB+18", 'description': "Occupancy of integrity errors of type: CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/02 Gain Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/GainSwitch/EBIT gain switch EB+18", 'description': "Occupancy of integrity errors of type: GAIN SWITCH. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/03 TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTId/EBIT TTId EB+18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/TTBlockSize/EBIT TTBlockSize EB+18", 'description': "Occupancy of integrity errors of type: TRIGGER TOWER BLOCK SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/04 MemBox Global Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityClient/EBIT data integrity quality MEM EB+18", 'description': "Quality summary checking that data for each PN follows all the formatting rules and all the constraints which are dictated by the design of the electronics. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT MEM digi occupancy EB+18", 'description': "Occupancy of ECAL PNs digis. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/05 MemBox Channel Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemChId/EBIT MemChId EB+18", 'description': "Occupancy of errors for PNs of type: MEM CHANNEL ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemGain/EBIT MemGain EB+18", 'description': "Occupancy of errors for PNs of type: MEM GAIN ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/01 Integrity/EB+18/06 MemBox TT Integrity",
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemTTId/EBIT MemTTId EB+18", 'description': "Occupancy of integrity errors for PNs of type: TRIGGER TOWER ID. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBIntegrityTask/MemSize/EBIT MemSize EB+18", 'description': "Occupancy of errors for PNs of type: MEM SIZE. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/00 PedestalOnline Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal quality summary G12", 'description': "Quality summary checQuality summary checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/01 PedestalOnline Rms",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPOT pedestal G12 RMS map", 'description': "RMS of the pedestals in ADC counts. Pedestal is evaluated using the first 3/10 samples of the pulse shape for all the events (calibration and physics). Expected RMS for ECAL barrel is 1.1 ADC counts (43 MeV). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/02 PedestalOnline/EB+18/Gain12",
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal quality G12 EB+18", 'description': "Quality histogram checking the quality of the pedestals from the first 3/10 samples of the pulse shape for all the events. Expected all green color. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal mean G12 EB+18", 'description': "Mean of the pedestal value on all the events for the crystals of supermodule EB+18. Expected within 175-225 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalOnlineClient/EBPOT pedestal rms G12 EB+18", 'description': "RMS of the pedestal value on all the events for the crystals of supermodule EB+18. Expected < 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G01 summary", 'description': "Quality summary of pedestal events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+18/00 Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G01 EB+18", 'description': "Quality histogram of pedestal events on crystals for Gain 01 on supermodule EB+18. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G01 EB+18", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+18 for Gain 01. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G01 EB+18", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+18 for Gain 01. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G06 summary", 'description': "Quality summary of pedestal events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+18/00 Gain06",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G06 EB+18", 'description': "Quality histogram of pedestal events on crystals for Gain 06 on supermodule EB+18. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G06 EB+18", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+18 for Gain 06. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G06 EB+18", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+18 for Gain 06. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/00 Pedestal Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBPT pedestal quality G12 summary", 'description': "Quality summary of pedestal events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+18/00 Gain12",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality G12 EB+18", 'description': "Quality histogram of pedestal events on crystals for Gain 12 on supermodule EB+18. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal mean G12 EB+18", 'description': "Pedestal mean for all (1700) the crystals of the supermodule EB+18 for Gain 12. Expected mean is between 175-225 ADC counts for all the MGPA gains. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal rms G12 EB+18", 'description': "Pedestal RMS for all (1700) the crystals of the supermodule EB+18 for Gain 12. Expected RMS is < 1.0, 1.2, 2.0 ADC counts for MGPA gain 1, 6, 12, respectively. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+18/01 PNs Gain01",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G01 EB+18", 'description': "Quality histogram of pedestal events on PNs for Gain 01. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain01/EBPDT PNs pedestal EB+18 G01", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+18 for Gain 01. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+18 G01", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+18 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/03 Pedestal/EB+18/01 PNs Gain16",
  [{ 'path': "EcalBarrel/EBPedestalClient/EBPT pedestal quality PNs G16 EB+18", 'description': "Quality histogram of pedestal events on PNs for Gain 16. Expect green if the pedestal sequence fired the supermodule, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBPedestalTask/PN/Gain16/EBPDT PNs pedestal EB+18 G16", 'description': "Pedestal mean for all the 10 PNs of the supermodule EB+18 for Gain 16. Expected mean is around 750 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBPedestalClient/EBPDT PNs pedestal rms EB+18 G16", 'description': "Pedestal rms for all the 10 PNs of the supermodule EB+18 for Gain .PN Expected rms is around 1 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain01",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G01 summary", 'description': "Quality summary of testpulse events for Gain 01. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain06",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G06 summary", 'description': "Quality summary of testpulse events for Gain 06. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/00 TestPulse Summary Gain12",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTPT test pulse quality G12 summary", 'description': "Quality summary of testpulse events for Gain 12. Expect green where the pedestal sequence fired, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/00 Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G01 EB+18", 'description': "Quality histogram of testpulse events on crystals for Gain 01. Expect green if the testpulse sequence fired the supermodule EB+18, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G01 EB+18", 'description': "Testpulse mean for all the crystals of the supermodule EB+18 for Gain 01. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G01 EB+18", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 01. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/00 Gain06",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G06 EB+18", 'description': "Quality histogram of testpulse events on crystals for Gain 06. Expect green if the testpulse sequence fired the supermodule EB+18, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G06 EB+18", 'description': "Testpulse mean for all the crystals of the supermodule EB+18 for Gain 06. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G06 EB+18", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 06. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/00 Gain12",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality G12 EB+18", 'description': "Quality histogram of testpulse events on crystals for Gain 12. Expect green if the testpulse sequence fired the supermodule EB+18, yellow elsewhere. Red spots are failed channels. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse amplitude G12 EB+18", 'description': "Testpulse mean for all the crystals of the supermodule EB+18 for Gain 12. Each channel should be within 20% of the average of the others, RMS < 300 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse shape G12 EB+18", 'description': "Pulse shape of a reference crystal averaged on all the events for Gain 12. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/01 PNs Quality Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G01 EB+18", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+18, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/02 PNs Variables Gain01",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs pedestal EB+18 G01", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+18 G01", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain01/EBTPT PNs amplitude EB+18 G01", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/01 PNs Quality Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseClient/EBTPT test pulse quality PNs G16 EB+18", 'description': "Quality histogram of testpulse events on PNs for Gain . Expect green if the testpulse sequence fired the supermodule EB+18, yellow elsewhere. Red spots are failed PNs. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/04 TestPulse/EB+18/02 PNs Variables Gain16",
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs pedestal EB+18 G16", 'description': "Pedestals of the PNs in tespulse events. It should be > 200 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTestPulseClient/EBTPT PNs pedestal rms EB+18 G16", 'description': "RMS of the pedestals of the PNs in testpulse events. It should be < 1ADC count in Gain 01 and < 3 ADC counts in Gain 16. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTestPulseTask/PN/Gain16/EBTPT PNs amplitude EB+18 G16", 'description': "Amplitude of the PNs in testpulse events. It should be > 100 ADC counts and each channel within 20% of the others. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL1 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L1", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L1/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 EB+18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G01 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L1 PNs G16 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L1/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L1 EB+18", 'description': "Average amplitude for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L1 EB+18", 'description': "Average APD/PN for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L1/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L1 EB+18", 'description': "Average timing for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L1 EB+18", 'description': "Mean timing of the channels in EB+18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L1 EB+18", 'description': "Timing RMS of the channels in EB+18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L1/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L1 EB+18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/EBLT shape EB+18 L1", 'description': "Pulse shape of all the 1700 crystals in EB+18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L1/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs pedestal EB+18 G01 L1", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G01 L1", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain01/EBLT PNs amplitude EB+18 G01 L1", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L1/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs pedestal EB+18 G16 L1", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G16 L1", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser1/PN/Gain16/EBLT PNs amplitude EB+18 G16 L1", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL2 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L2", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L2/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 EB+18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G01 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L2 PNs G16 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L2/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L2 EB+18", 'description': "Average amplitude for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L2 EB+18", 'description': "Average APD/PN for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L2/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L2 EB+18", 'description': "Average timing for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L2 EB+18", 'description': "Mean timing of the channels in EB+18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L2 EB+18", 'description': "Timing RMS of the channels in EB+18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L2/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L2 EB+18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/EBLT shape EB+18 L2", 'description': "Pulse shape of all the 1700 crystals in EB+18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L2/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs pedestal EB+18 G01 L2", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G01 L2", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain01/EBLT PNs amplitude EB+18 G01 L2", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L2/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs pedestal EB+18 G16 L2", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G16 L2", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser2/PN/Gain16/EBLT PNs amplitude EB+18 G16 L2", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL3 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L3", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L3/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 EB+18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G01 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L3 PNs G16 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L3/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L3 EB+18", 'description': "Average amplitude for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L3 EB+18", 'description': "Average APD/PN for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L3/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L3 EB+18", 'description': "Average timing for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L3 EB+18", 'description': "Mean timing of the channels in EB+18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L3 EB+18", 'description': "Timing RMS of the channels in EB+18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L3/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L3 EB+18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/EBLT shape EB+18 L3", 'description': "Pulse shape of all the 1700 crystals in EB+18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L3/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs pedestal EB+18 G01 L3", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G01 L3", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain01/EBLT PNs amplitude EB+18 G01 L3", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L3/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs pedestal EB+18 G16 L3", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G16 L3", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser3/PN/Gain16/EBLT PNs amplitude EB+18 G16 L3", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/05 Laser/00 LaserL4 Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBLT laser quality summary L4", 'description': "Quality summary of laser events. Expect green where the laser sequence fired, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L4/00 Quality",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 EB+18", 'description': "Quality histogram of laser events on crystals. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed channels. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G01 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 1. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser quality L4 PNs G16 EB+18", 'description': "Quality histogram of laser events on PNs in Gain 16. Expect green if the laser sequence fired supermodule EB+18, yellow elsewhere. Red spots are failed PNs. Legend: green = good;  red = bad;  yellow = no entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L4/01 Amplitude",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude L4 EB+18", 'description': "Average amplitude for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: amplitude > 100 ADC; amplitude is within 40% of the 1700 crystals amplitude; RMS < 30% of the mean. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT amplitude over PN L4 EB+18", 'description': "Average APD/PN for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: APD/PN > 50. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L4/02 Timing",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing L4 EB+18", 'description': "Average timing for each channel of EB+18 (error is the RMS of the distribution). Quality cuts are: timing is within 5.5 - 6.5 clocks. RMS is < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser timing mean L4 EB+18", 'description': "Mean timing of the channels in EB+18. Timing is expected within 5.5 - 6.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT laser timing rms L4 EB+18", 'description': "Timing RMS of the channels in EB+18. Timing RMS is expected < 0.5 clocks. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L4/03 PulseShape",
  [{ 'path': "EcalBarrel/EBLaserClient/EBLT laser shape L4 EB+18", 'description': "Pulse shape of a reference crystal (crystal 1 of EB+18) averaged on all the events. Clear pulse should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/EBLT shape EB+18 L4", 'description': "Pulse shape of all the 1700 crystals in EB+18, averaged on all the events. Clear pulses should be seen. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L4/04 PNs Gain01",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs pedestal EB+18 G01 L4", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 1. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G01 L4", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 1. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain01/EBLT PNs amplitude EB+18 G01 L4", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 1. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/05 Laser/EB+18/L4/05 PNs Gain16",
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs pedestal EB+18 G16 L4", 'description': "Average pedestals of the 10 PNs of EB+18 in Gain 16. Expected around 760 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBLaserClient/EBLT PNs pedestal rms EB+18 G16 L4", 'description': "RMS of the pedestals of PN diodes of EB+18 in Gain 16. Expected around 2.0 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBLaserTask/Laser4/PN/Gain16/EBLT PNs amplitude EB+18 G16 L4", 'description': "Amplitudes of the 10 PNs of EB+18 in Gain 16. Expected values around 1500 ADC counts. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])


eblayout(dqmitems, "00 By Task/07 Timing/00 Timing Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTMT timing quality summary", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+18/00 Timing Quality",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing quality EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing mean EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBTimingClient/EBTMT timing rms EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+18/01 Timing Value",
  [{ 'path': "EcalBarrel/EBTimingClient/EBTMT timing EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing 1D EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/07 Timing/EB+18/02 Timing Maps",
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBTimingTask/EBTMT timing vs amplitude EB+18", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/08 Trigger/00 Trigger Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBTTT Trigger Primitives Timing summary", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in non-red colors. Match with on-time primitives appear yellow (expected). No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+18/00 TransverseEnergy",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulError EB+18", 'description': "Number of errors comparing the values of Et for real and emulated trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT Et map Real Digis EB+18", 'description': "Average transverse energy (ADC counts: 4 ADCs = 1 GeV) for real trigger primitives. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+18/01 TriggerPrimitivesTiming",
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Trigger Primitives Timing EB+18", 'description': "Sample of the emulated TP that more often matches the real TP. Matched sample appear in magenta. No match at all appears red. No events appear white. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBTriggerTowerClient/EBTTT Non Single Timing EB+18", 'description': "Fraction of events where the TP has a matching with emulator different by the most probable (expected empty). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/08 Trigger/EB+18/02 FineGrainVeto Errors",
  [{ 'path': "EcalBarrel/EBTriggerTowerTask/EBTTT EmulFineGrainVetoError EB+18", 'description': "Occupancy of mismatches between real Trigger Primitive and emulated one on the fine grain veto. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/09 Energy/00 Energy Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBOT energy summary", 'description': "Average energy (in GeV) of good reconstructed hits (good rechit flag and channel status required). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+18/00 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit energy EB+18", 'description': "Average energy of the rechits selected among good (rechit quality flag and channel status) reconstructed hits. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/09 Energy/EB+18/01 Energy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT energy spectrum EB+18", 'description': "Calibrated energy spectrum of the good reconstructed hits (rechit quality flag and channel status). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/00 StatusFlags Summary",
  [{ 'path': "EcalBarrel/EBSummaryClient/EBSFT front-end status summary", 'description': "DCC front-end status quality summary. Expected all green color. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+18/00 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status EB+18", 'description': "Occupancy of DCC front-end status errors. Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT MEM front-end status EB+18", 'description': "Occupancy of DCC front-end errors for the MEM boxes (TTs: 69-70). Status ACTIVE (i.e. full-readout) or SUPPRESSED (i.e. zero-suppression applied) are not considered as errors and do not create entries in this plot. Expected all empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/10 StatusFlags/EB+18/01 StatusFlags",
  [{ 'path': "EcalBarrel/EBStatusFlagsTask/FEStatus/EBSFT front-end status bits EB+18", 'description': "Occupancy of DCC front-end statuses by type. ACTIVE and SUPPRESSED are normal entries. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/11 Cluster/00 BasicClusters 1D",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC size", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC number", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/11 Cluster/01 BasicClusters Energy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy map", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC energy projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/02 BasicClusters Size",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC size map", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC size projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC size projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/03 BasicClusters TransverseEnergy",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC ET map", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC ET projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC ET projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/04 BasicClusters Multiplicity",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC number map", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT BC number projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT BC number projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/05 SuperClusters 1D",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC energy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT SC size (crystal)", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC number", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   None])

eblayout(dqmitems, "00 By Task/11 Cluster/06 SuperClusters Seeds",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC seed crystal energy", 'description': "energy (GeV) of the crystal seeding a supercluster. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/07 SuperClusters Seeds",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC single crystal cluster seed occupancy map", 'description': "Occupancy of seeds of superclusters formed by exactly one crystal. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT SC energy vs seed crystal energy", 'description': "supercluster energy vs seed crystal energy. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/08 ClusterShapes",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT s1s9", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT s9s25", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/09 Full Combinatorics (Selected)",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass Pi0 sel", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass JPsi sel", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass Z0 sel", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass high sel", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/11 Cluster/10 Best Pair Combinatorics (No sel)",
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass Pi0", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass JPsi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass Z0", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBClusterTask/EBCLT dicluster invariant mass high", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])
eblayout(dqmitems, "00 By Task/12 Occupancy/00 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT digi occupancy projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/12 Occupancy/01 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit occupancy projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/12 Occupancy/02 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT rec hit thr occupancy projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/12 Occupancy/03 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi occupancy projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi occupancy projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/12 Occupancy/04 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection eta", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } },
   { 'path': "EcalBarrel/EBOccupancyTask/EBOT TP digi thr occupancy projection phi", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/12 Occupancy/05 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT test pulse digi occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/12 Occupancy/06 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT laser digi occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/12 Occupancy/07 Occupancy",
  [{ 'path': "EcalBarrel/EBOccupancyTask/EBOT pedestal digi occupancy", 'description': "<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [None])

eblayout(dqmitems, "00 By Task/13 RawData/00 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT event type calibration BX", 'description': "Event type in ECAL DCC header in the calibration BX. It should contain only calibration events. It is filled once per DCC with weight 1/36. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT calibration event errors", 'description': "Number of events with at least one FED containing calibration events during physics gap or physics events during the calibration BX. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/01 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT event type pre calibration BX", 'description': "Event type in ECAL DCC header in the BXs reserved to physics events preceding calibration BX. It should contain only physics events. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT event type post calibration BX", 'description': "Event type in ECAL DCC header in the BXs reserved to physics events following calibration BX. It should contain only physics events. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/02 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT CRC errors", 'description': "Number of fatal errors related to the event size. It is filled once per DCC with weight 1/36. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT trigger type errors", 'description': "Number of trigger type mismatches between the global trigger and ECAL DCC header. It is filled once per DCC with weight 1/36. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/03 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT run number errors", 'description': "Number of run-number mismatches between the global trigger and ECAL DCC header. It is filled once per DCC with weight 1/36. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT orbit number errors", 'description': "Number of orbit-number mismatches between the global trigger and ECAL DCC header. It is filled once per DCC with weight 1/36. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/04 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT L1A DCC errors", 'description': "Number of level 1 event mismatches between the global trigger and ECAL DCC header. It is filled once per DCC with weight 1/36. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT bunch crossing DCC errors", 'description': "Number of bunch-crossing mismatches between the global trigger and ECAL DCC header. It is filled once per DCC with weight 1/36. It should be empty.<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/05 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT L1A FE errors", 'description': "Number of level 1 event mismatches between the ECAL DCC header and its front-end cards. It is filled once per front-end card in DCC with weight 1/n(front-end cards). It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT bunch crossing FE errors", 'description': "Number of bunch-crossing mismatches between the ECAL DCC header and its front-end cards. It is filled once per front-end card in DCC with weight 1/n(front-end cards). It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/06 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT L1A TCC errors", 'description': "Number of level 1 event mismatches between the ECAL DCC header and its TCCs. It is filled once per TCC in DCC with weight 1/n(TCC). It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT bunch crossing TCC errors", 'description': "Number of bunch-crossing mismatches between the ECAL DCC header and its TCCs. It is filled once per TCC in DCC with weight 1/n(TCC). It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/13 RawData/07 RawData",
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT L1A SRP errors", 'description': "Number of level 1 event mismatches between the ECAL DCC header and its SRP block. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBRawDataTask/EBRDT bunch crossing SRP errors", 'description': "Number of bunch-crossing mismatches between the ECAL DCC header and its SRP block. It should be empty. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/14 SelectiveReadout/00 EventSize",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT event size", 'description': "Event size for the readout crystals in the ECAL barrel. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT tower event size", 'description': "Event size distribution per tower. This plot allows to verify the correctness of the ZS thresholds applied. The average of the plot has to be ~ 2kB / 68 ~ 30 bytes.<a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }] )

eblayout(dqmitems, "00 By Task/14 SelectiveReadout/01 DCC EventSize",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT DCC event size", 'description': "Average event size per ecah ECAL barrel DCC. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT event size vs DCC", 'description': "Event size distribution per each ECAL barrel DCC. Finer binning is used in the zero-suppressed region (0-0.608 kB), while granularity of one fully readout tower (0.608 kB) has been used for higher sizes. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>"}])

eblayout(dqmitems, "00 By Task/14 SelectiveReadout/02 SRFlags",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT readout unit with SR forced", 'description': "Rate of readout units with Selective Readout Forced. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT full readout SR Flags", 'description': "Rate of full readout Selective Readout flags. The selective readout of the ECAL was designed to reduce the ECAL data size by a factor 20. If any tower is fully read out more than 5% of the times, this tower will increase the payload and introduce deadtime. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/14 SelectiveReadout/03 TTFlags",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest TT Flags", 'description': "Rate of high interest Trigger Tower flags. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT low interest TT Flags", 'description': "Rate of low interest Trigger Tower flags. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>" }])

eblayout(dqmitems, "00 By Task/14 SelectiveReadout/04 Payload",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest payload", 'description': "Payload of the high interest trigger towers (kB). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT low interest payload", 'description': "Payload of the low interest trigger towers (kB). <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

eblayout(dqmitems, "00 By Task/14 SelectiveReadout/05 ZSFilterOutput",
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT high interest ZS filter output", 'description': "crystal amplitude as reconstructed in DCC. This is useful for the emulation of the zero suppression filter. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }],
  [{ 'path': "EcalBarrel/EBSelectiveReadoutTask/EBSRT low interest ZS filter output", 'description': "crystal amplitude as reconstructed in DCC. This is useful for the emulation of the zero suppression filter. <a href=https://twiki.cern.ch/twiki/bin/view/CMS/DQMShiftEcalExpert>DQMShiftEcalExpert</a>", 'draw': { 'withref': "yes" } }])

